<?xml version="1.0" encoding="ISO-8859-1"?>
<!--
 * LICENCE[[
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1/CeCILL 2.O 
 *
 * The contents of this file are subject to the Mozilla Public License Version 
 * 1.1 (the "License"); you may not use this file except in compliance with 
 * the License. You may obtain a copy of the License at http://www.mozilla.org/MPL/ 
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, 
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License 
 * for the specific language governing rights and limitations under the 
 * License. 
 * 
 * The Original Code is kelis.fr code. 
 * 
 * The Initial Developer of the Original Code is 
 * antoine.pourchez@kelis.fr 
 * 
 * Portions created by the Initial Developer are Copyright (C) 2005 
 * the Initial Developer. All Rights Reserved. 
 * 
 * Contributor(s): 
 * 
 * 
 * Alternatively, the contents of this file may be used under the terms of 
 * either of the GNU General Public License Version 2 or later (the "GPL"), 
 * or the GNU Lesser General Public License Version 2.1 or later (the "LGPL"), 
 * or the CeCILL Licence Version 2.0 (http://www.cecill.info/licences.en.html), 
 * in which case the provisions of the GPL, the LGPL or the CeCILL are applicable 
 * instead of those above. If you wish to allow use of your version of this file 
 * only under the terms of either the GPL, the LGPL or the CeCILL, and not to allow 
 * others to use your version of this file under the terms of the MPL, indicate 
 * your decision by deleting the provisions above and replace them with the notice 
 * and other provisions required by the GPL, the LGPL or the CeCILL. If you do not 
 * delete the provisions above, a recipient may use your version of this file under 
 * the terms of any one of the MPL, the GPL, the LGPL or the CeCILL.
 * ]]LICENCE
 -->
<xsl:stylesheet version="1.0" 
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
				xmlns:manifest="urn:oasis:names:tc:opendocument:xmlns:manifest:1.0"
				xmlns:redirect="http://xml.apache.org/xalan/redirect"
				extension-element-prefixes="redirect">
	<xsl:output encoding="ISO-8859-1" method="xml"/>
	
	<xsl:param name="pOdtDir"/>
	<xsl:param name="pOutDir"/>
	
	<xsl:variable name="vManifestXml" select="document(concat($pOdtDir, '/META-INF/manifest.xml'))"/>
		  
	<xsl:template match="/reslist">
		<project name="doTransformWsp" default="Main" basedir=".."><!-- Basedir dfini dans le build principal : bin -->
			<taskdef classname="com.scenari.ant.SplashSpecialTask" name="splashspecial"/>
			<taskdef classname="com.scenari.ant.XmlDoctype" name="xmldoctype"/>
			<taskdef resource="net/sf/antcontrib/antcontrib.properties"/>
			
			<property name="app.current.dir" location="${basedir}/tmp"/>
			
			<target name="Main">
				<xsl:apply-templates/>
			</target>
			
		
			
		</project>
	</xsl:template>

	<xsl:template match="res">
		<!--ce <if> permet de ne pas crer deux ressources qui sont identiques dans la liste des ressources. Nanmoins ceci ne fonctionne qu'avec les images car dans le xml de l'odt les images sont identifies par le nom du fichier (@inOdtPath). On peut donc facilement voir si une image est utilise plusieurs fois et ainsi liminer les doublons. Pour les objets OLE c'est beaucoup plus difficile car dans le xml de l'odt ces objets sont identifis par un code qui est  chaque fois diffrent (par exemple : "./Object 5"). La seule manire de voir si deux objets OLE identiques sont utiliss, c'est, pour chaque objet OLE, d'aller voir dans son dossier correspondant et de vrifier si le contenu de son content.xml est identique  un autre content.xml d'un autre objet OLE-->
		<xsl:if test="count(preceding-sibling::res[@inOdtPath=current()/@inOdtPath])=0">
			<xsl:choose>
				<xsl:when test="@type='image/jpeg'">
					<copy file="{$pOdtDir}/{@inOdtPath}" tofile="{$pOutDir}/JPG/{@name}"/>
				</xsl:when>
				<xsl:when test="@type='image/gif'">
					<copy file="{$pOdtDir}/{@inOdtPath}" tofile="{$pOutDir}/GIF/{@name}"/>
				</xsl:when>
				<xsl:when test="@type='image/png'">
					<copy file="{$pOdtDir}/{@inOdtPath}" tofile="{$pOutDir}/PNG/{@name}"/>
				</xsl:when>
				<xsl:when test="@type='application/vnd.oasis.opendocument.formula'">
					<mkdir dir="{$pOutDir}/ODF"/>
					<concat append="false" destfile="{$pOdtDir}/{@inOdtPath}/mimetype">application/vnd.oasis.opendocument.formula</concat>
					<xsl:call-template name="tCreateManifestElts">
						<xsl:with-param name="pEltName"><xsl:value-of select="substring-after(@inOdtPath, './')"/></xsl:with-param>
					</xsl:call-template>
					<zip destfile="{$pOutDir}/ODF/{@name}" compress="false">
						<fileset dir="{$pOdtDir}/{@inOdtPath}">
							<include name="**/**"/>
						</fileset>
					</zip>
				</xsl:when>
				<xsl:when test="@type='application/vnd.oasis.opendocument.spreadsheet'">
					<mkdir dir="{$pOutDir}/ODS"/>
					<concat append="false" destfile="{$pOdtDir}/{@inOdtPath}/mimetype">application/vnd.oasis.opendocument.spreadsheet</concat>
					<xsl:call-template name="tCreateManifestElts">
						<xsl:with-param name="pEltName"><xsl:value-of select="substring-after(@inOdtPath, './')"/></xsl:with-param>
					</xsl:call-template>
					<zip destfile="{$pOutDir}/ODS/{@name}" compress="false">
						<fileset dir="{$pOdtDir}/{@inOdtPath}">
							<include name="**/**"/>
						</fileset>
					</zip>
				</xsl:when>
				<xsl:when test="@type='application/vnd.oasis.opendocument.graphics'">
					<mkdir dir="{$pOutDir}/ODG"/>
					<concat append="false" destfile="{$pOdtDir}/{@inOdtPath}/mimetype">application/vnd.oasis.opendocument.graphics</concat>
					<xsl:call-template name="tCreateManifestElts">
						<xsl:with-param name="pEltName"><xsl:value-of select="substring-after(@inOdtPath, './')"/></xsl:with-param>
					</xsl:call-template>
					<zip destfile="{$pOutDir}/ODG/{@name}" compress="false">
						<fileset dir="{$pOdtDir}/{@inOdtPath}">
							<include name="**/**"/>
						</fileset>
					</zip>
				</xsl:when>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="tCreateManifestElts">
		<xsl:param name="pEltName"/>
		<redirect:write file="{$pOdtDir}/{@inOdtPath}/META-INF/manifest.xml">
			<manifest:manifest xmlns:manifest="urn:oasis:names:tc:opendocument:xmlns:manifest:1.0">
				<xsl:for-each select="$vManifestXml//manifest:file-entry[starts-with(@manifest:full-path, $pEltName)]">
					<xsl:variable name="vManifestPath" select="substring-after(@manifest:full-path, concat($pEltName, '/'))"/>
					<xsl:variable name="vManifestPathEnd">
						<xsl:choose>
							<xsl:when test="string-length($vManifestPath)&gt;0"><xsl:value-of select="$vManifestPath"/></xsl:when>
							<xsl:otherwise>/</xsl:otherwise>
						</xsl:choose>
					</xsl:variable>
					<manifest:file-entry manifest:media-type="{@manifest:media-type}" manifest:full-path="{$vManifestPathEnd}"/>
				</xsl:for-each>
			</manifest:manifest>
		</redirect:write>
	</xsl:template>
	
</xsl:stylesheet>
