<?xml version="1.0" encoding="ISO-8859-1"?>
<!--
 * LICENCE[[
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1/CeCILL 2.O 
 *
 * The contents of this file are subject to the Mozilla Public License Version 
 * 1.1 (the "License"); you may not use this file except in compliance with 
 * the License. You may obtain a copy of the License at http://www.mozilla.org/MPL/ 
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, 
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License 
 * for the specific language governing rights and limitations under the 
 * License. 
 * 
 * The Original Code is kelis.fr code. 
 * 
 * The Initial Developer of the Original Code is 
 * antoine.pourchez@kelis.fr 
 * 
 * Portions created by the Initial Developer are Copyright (C) 2005 
 * the Initial Developer. All Rights Reserved. 
 * 
 * Contributor(s): 
 * 
 * 
 * Alternatively, the contents of this file may be used under the terms of 
 * either of the GNU General Public License Version 2 or later (the "GPL"), 
 * or the GNU Lesser General Public License Version 2.1 or later (the "LGPL"), 
 * or the CeCILL Licence Version 2.0 (http://www.cecill.info/licences.en.html), 
 * in which case the provisions of the GPL, the LGPL or the CeCILL are applicable 
 * instead of those above. If you wish to allow use of your version of this file 
 * only under the terms of either the GPL, the LGPL or the CeCILL, and not to allow 
 * others to use your version of this file under the terms of the MPL, indicate 
 * your decision by deleting the provisions above and replace them with the notice 
 * and other provisions required by the GPL, the LGPL or the CeCILL. If you do not 
 * delete the provisions above, a recipient may use your version of this file under 
 * the terms of any one of the MPL, the GPL, the LGPL or the CeCILL.
 * ]]LICENCE
 -->
 <xsl:stylesheet 
			version="1.0" 
			xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0"
		    xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0"
		    xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0"
		    xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0"
		    xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"
		    xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0"
		    xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:dc="http://purl.org/dc/elements/1.1/"
		    xmlns:meta="urn:oasis:names:tc:opendocument:xmlns:meta:1.0"
		    xmlns:number="urn:oasis:names:tc:opendocument:xmlns:datastyle:1.0"
		    xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0"
		    xmlns:chart="urn:oasis:names:tc:opendocument:xmlns:chart:1.0"
		    xmlns:dr3d="urn:oasis:names:tc:opendocument:xmlns:dr3d:1.0"
		    xmlns:math="http://www.w3.org/1998/Math/MathML"
		    xmlns:form="urn:oasis:names:tc:opendocument:xmlns:form:1.0"
		    xmlns:script="urn:oasis:names:tc:opendocument:xmlns:script:1.0"
		    xmlns:ooo="http://openoffice.org/2004/office" xmlns:ooow="http://openoffice.org/2004/writer"
		    xmlns:oooc="http://openoffice.org/2004/calc" xmlns:dom="http://www.w3.org/2001/xml-events"
		    xmlns:xforms="http://www.w3.org/2002/xforms" xmlns:xsd="http://www.w3.org/2001/XMLSchema"
		    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		    xmlns:manifest="urn:oasis:names:tc:opendocument:xmlns:manifest:1.0"
			xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
			xmlns:java="http://xml.apache.org/xslt/java"
			xmlns:xalan="http://xml.apache.org/xalan"
			exclude-result-prefixes="java manifest">
	<xsl:output encoding="ISO-8859-1" method="xml"/>

	<xsl:param name="pOdtDir"/>
	
	<xsl:variable name="vManifestXml" select="document(concat($pOdtDir, '/META-INF/manifest.xml'))"/>
	    
	<!-- initialisation des diffrents conteurs -->
	<xsl:variable name="count_PNG" select="java:com.scenari.s.fw.utils.HDouble.new()"/>
	<xsl:variable name="count_JPG" select="java:com.scenari.s.fw.utils.HDouble.new()"/>
	<xsl:variable name="count_GIF" select="java:com.scenari.s.fw.utils.HDouble.new()"/>
	
	<xsl:variable name="count_ODS" select="java:com.scenari.s.fw.utils.HDouble.new()"/>
	<xsl:variable name="count_ODG" select="java:com.scenari.s.fw.utils.HDouble.new()"/>
	<xsl:variable name="count_ODF" select="java:com.scenari.s.fw.utils.HDouble.new()"/>
	  
	<xsl:template match="/*">
		<reslist>
			<xsl:apply-templates select="*"/>
		</reslist>
	</xsl:template>
	
	<xsl:template match="draw:frame">
		<xsl:variable name="vHref"><!-- car syntaxe diffrente dans le manifest pour une res ou une image... -->
			<xsl:choose>
				<xsl:when test="draw:object"><xsl:value-of select="concat(substring-after(draw:object/@xlink:href, './'), '/')"/></xsl:when>
				<xsl:otherwise><xsl:value-of select="draw:image/@xlink:href"/></xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="vManifestElt" select="$vManifestXml//manifest:file-entry[@manifest:full-path=$vHref]"/>
		<xsl:choose>
			<xsl:when test="$vManifestElt/@manifest:media-type='image/png'">
				<xsl:variable name="vPosition"><xsl:number value="java:hIncreaseOne($count_PNG)" format="111"/></xsl:variable>
				<res type="{$vManifestElt/@manifest:media-type}" name="PNG_{$vPosition}.png" inOdtPath="{$vManifestElt/@manifest:full-path}"/>
			</xsl:when>
			<xsl:when test="$vManifestElt/@manifest:media-type='image/jpeg'">
				<xsl:variable name="vPosition"><xsl:number value="java:hIncreaseOne($count_JPG)" format="111"/></xsl:variable>
				<res type="{$vManifestElt/@manifest:media-type}" name="JPG_{$vPosition}.jpg" inOdtPath="{$vManifestElt/@manifest:full-path}"/>
			</xsl:when>
			<xsl:when test="$vManifestElt/@manifest:media-type='image/gif'">
				<xsl:variable name="vPosition"><xsl:number value="java:hIncreaseOne($count_GIF)" format="111"/></xsl:variable>
				<res type="{$vManifestElt/@manifest:media-type}" name="GIF_{$vPosition}.gif" inOdtPath="{$vManifestElt/@manifest:full-path}"/>
			</xsl:when>
			<xsl:when test="$vManifestElt/@manifest:media-type='application/vnd.oasis.opendocument.formula'">
				<xsl:variable name="vPosition"><xsl:number value="java:hIncreaseOne($count_ODF)" format="111"/></xsl:variable>
				<res type="{$vManifestElt/@manifest:media-type}" name="ODF_{$vPosition}.odf" inOdtPath="./{substring-before($vManifestElt/@manifest:full-path, '/')}"/>
			</xsl:when>
			<xsl:when test="$vManifestElt/@manifest:media-type='application/vnd.oasis.opendocument.graphics'">
				<xsl:variable name="vPosition"><xsl:number value="java:hIncreaseOne($count_ODG)" format="111"/></xsl:variable>
				<res type="{$vManifestElt/@manifest:media-type}" name="ODG_{$vPosition}.odg" inOdtPath="./{substring-before($vManifestElt/@manifest:full-path, '/')}"/>
			</xsl:when>
			<xsl:when test="$vManifestElt/@manifest:media-type='application/vnd.oasis.opendocument.spreadsheet'">
				<xsl:variable name="vPosition"><xsl:number value="java:hIncreaseOne($count_ODS)" format="111"/></xsl:variable>
				<res type="{$vManifestElt/@manifest:media-type}" name="ODS_{$vPosition}.ods" inOdtPath="./{substring-before($vManifestElt/@manifest:full-path, '/')}"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template match="*">
		<xsl:apply-templates select="*"/>
	</xsl:template>

</xsl:stylesheet>
