<?xml version="1.0" encoding="ISO-8859-1"?>
<!--
 * LICENCE[[
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1/CeCILL 2.O 
 *
 * The contents of this file are subject to the Mozilla Public License Version 
 * 1.1 (the "License"); you may not use this file except in compliance with 
 * the License. You may obtain a copy of the License at http://www.mozilla.org/MPL/ 
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, 
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License 
 * for the specific language governing rights and limitations under the 
 * License. 
 * 
 * The Original Code is Odigi.eu code and is inspired by code from kelis.fr (antoine.pourchez@kelis.fr).
 * 
 * The Initial Developer of the Original Code is 
 * loic.alejandro@odigi.eu 
 * 
 * Portions created by the Initial Developer are Copyright (C) 2005 
 * the Initial Developer. All Rights Reserved. 
 * 
 * Contributor(s): 
 * 
 * 
 * Alternatively, the contents of this file may be used under the terms of 
 * either of the GNU General Public License Version 2 or later (the "GPL"), 
 * or the GNU Lesser General Public License Version 2.1 or later (the "LGPL"), 
 * or the CeCILL Licence Version 2.0 (http://www.cecill.info/licences.en.html), 
 * in which case the provisions of the GPL, the LGPL or the CeCILL are applicable 
 * instead of those above. If you wish to allow use of your version of this file 
 * only under the terms of either the GPL, the LGPL or the CeCILL, and not to allow 
 * others to use your version of this file under the terms of the MPL, indicate 
 * your decision by deleting the provisions above and replace them with the notice 
 * and other provisions required by the GPL, the LGPL or the CeCILL. If you do not 
 * delete the provisions above, a recipient may use your version of this file under 
 * the terms of any one of the MPL, the GPL, the LGPL or the CeCILL.
 * ]]LICENCE
 -->
<xsl:stylesheet 
			version="1.0" 
			xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0"
		    xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0"
		    xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0"
		    xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0"
		    xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"
		    xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0"
		    xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:dc="http://purl.org/dc/elements/1.1/"
		    xmlns:meta="urn:oasis:names:tc:opendocument:xmlns:meta:1.0"
		    xmlns:number="urn:oasis:names:tc:opendocument:xmlns:datastyle:1.0"
		    xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0"
		    xmlns:chart="urn:oasis:names:tc:opendocument:xmlns:chart:1.0"
		    xmlns:dr3d="urn:oasis:names:tc:opendocument:xmlns:dr3d:1.0"
		    xmlns:math="http://www.w3.org/1998/Math/MathML"
		    xmlns:form="urn:oasis:names:tc:opendocument:xmlns:form:1.0"
		    xmlns:script="urn:oasis:names:tc:opendocument:xmlns:script:1.0"
		    xmlns:ooo="http://openoffice.org/2004/office" xmlns:ooow="http://openoffice.org/2004/writer"
		    xmlns:oooc="http://openoffice.org/2004/calc" xmlns:dom="http://www.w3.org/2001/xml-events"
		    xmlns:xforms="http://www.w3.org/2002/xforms" xmlns:xsd="http://www.w3.org/2001/XMLSchema"
		    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
			xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
			xmlns:java="http://xml.apache.org/xslt/java"
			xmlns:xalan="http://xml.apache.org/xalan"
			xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
			xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
			xmlns:op="utc.fr:ics/opale3"
			exclude-result-prefixes="java manifest sc sp op">
	<xsl:output encoding="UTF-8" indent="yes" method="xml"/>
	
	<xsl:param name="pResListFile"/>
	<xsl:param name="pDeleteRes"/>
    
	<xsl:variable name="pResListFileXml" select="document($pResListFile)"/>
	  
	<xsl:template match="/*">
		<sc:item xmlns:sc="http://www.utc.fr/ics/scenari/v3/core">
			<op:ue xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:op="utc.fr:ics/opale3" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core">
				<op:ueM>
					<sp:title>
						<!--on va chercher le premier paragraphe styl titre_du_module et non vide-->
						<xsl:apply-templates select="//text:p[@text:style-name='_30_1_5f_TITRE_5f_DU_5f_MODULE'][count(descendant::text())&gt;0][1]">
							<!--on envoie aux lments fils en indiquant qu'on est dans un titre pour que ceux-ci puissent se comporter en consquence-->
							<xsl:with-param name="modalite">titre</xsl:with-param>
						</xsl:apply-templates>
						<!--si on trouve plusieurs paragraphes non vides styls titre_du_module, on prvient l'utilisateur-->
						<xsl:if test="count(//text:p[@text:style-name='_30_1_5f_TITRE_5f_DU_5f_MODULE'][count(descendant::text())&gt;0])&gt;1"> - [ATTENTION PLUSIEURS PARAGRAPHES DE TITRE DE MODULE TROUVS DANS L'ODT, SEUL LE PREMIER EST UTILIS]</xsl:if>
					</sp:title>
					<!--si on a un titre court non vide on cre l'lment-->
					<xsl:if test="//text:p[@text:style-name='_30_2_5f_TITRE_5f_COURT_5f_DU_5f_MODULE'][count(descendant::text())&gt;0]">
						<sp:sTitle>
							<!--pour le premier titre court non vide rencontr, on envoie en mode 'titre' car dans les titres on n'a pas d'lments inline donc on en fait un traitement spcial-->	
							<xsl:apply-templates select="//text:p[@text:style-name='_30_2_5f_TITRE_5f_COURT_5f_DU_5f_MODULE'][count(descendant::text())&gt;0][1]">
								<!--on envoie aux lments fils en indiquant qu'on est dans un titre pour que ceux-ci puissent se comporter en consquence-->
								<xsl:with-param name="modalite">titre</xsl:with-param>
							</xsl:apply-templates>
							<!--si on trouve plusieurs paragraphes non vides styls titre_court_du_module, on prvient l'utilisateur-->
							<xsl:if test="count(//text:p[@text:style-name='_30_2_5f_TITRE_5f_COURT_5f_DU_5f_MODULE'][count(descendant::text())&gt;0])&gt;1"> - [ATTENTION PLUSIEURS PARAGRAPHES DE TITRE COURT DE MODULE TROUVS DANS L'ODT, SEUL LE PREMIER EST UTILIS]</xsl:if>
						</sp:sTitle>
					</xsl:if>
					<!--si on a un paragraphe non vide sur la paternit/copyright, on cre l'lment-->
					<xsl:if test="//text:p[@text:style-name='_30_3_5f_PATERNITE_5f_OU_5f_COPYRIGHT'][count(descendant::text())&gt;0]">
						<sp:info>
							<op:info>
								<sp:cpyrgt>
									<op:sPara>
										<sc:para>
											<!--pour le premier paragraphe non vide rencontr, on envoie en mode 'paraSimple' car dans le modle, dans la partie patrenit/copyright, on a un lment paraSimple : mono-paragraphe avec seulement 'important' 'tranger' et 'lien web/mail' autoriss. Ce sont les lments fils qui sauront se comporter en consquence avec l'information modalit=paraSimple-->	
											<xsl:apply-templates select="//text:p[@text:style-name='_30_3_5f_PATERNITE_5f_OU_5f_COPYRIGHT'][count(descendant::text())&gt;0][1]">
												<xsl:with-param name="modalite">paraSimple</xsl:with-param>
											</xsl:apply-templates>
											<!--si on trouve plusieurs paragraphes non vides styls paternite/copyright, on prvient l'utilisateur-->
											<xsl:if test="count(//text:p[@text:style-name='_30_3_5f_PATERNITE_5f_OU_5f_COPYRIGHT'][count(descendant::text())&gt;0])&gt;1"> - [ATTENTION PLUSIEURS PARAGRAPHES PATERNIT/COPYRIGHT TROUVS DANS L'ODT, SEUL LE PREMIER EST UTILIS]</xsl:if>
										</sc:para>
									</op:sPara>
								</sp:cpyrgt>
							</op:info>
						</sp:info>
					</xsl:if>
				</op:ueM>
				<!--si on a au moins un paragraphe non vide ou une liste styl en tant qu'objectif, on cre l'lment-->
				<xsl:variable name="testObj">
					<!--on est oblig de faire un test sous forme de traitement sur chaque lment fils car pour les listes il est assez complexe de savoir son type (il faut voir la valeur d'un attribut, trouver un lment au dbut de l'odt qui dont un attribut a la mme valeur et regarder la valeur d'un autre attribut de cet lment-->
					<xsl:for-each select="office:body/office:text/text:p[count(descendant::text())&gt;0] | office:body/office:text/text:list">
						<xsl:variable name="testTypeElementCourant">
							<xsl:call-template name="testTypeElementCourant"/>
						</xsl:variable>
						<xsl:if test="$testTypeElementCourant='_30_4_5f_OBJECTIFS_5f_DU_5f_MODULE'">OUI</xsl:if>
					</xsl:for-each>
				</xsl:variable>	
				<!--si testObj contient au moins un 'OUI' a veut dire qu'on a au moins un lment typ objectif du module-->
				<xsl:if test="contains($testObj,'OUI')">
					<sp:obj>
						<op:sTxt>
							<xsl:apply-templates select="//text:p[@text:style-name='_30_4_5f_OBJECTIFS_5f_DU_5f_MODULE'][count(descendant::text())&gt;0] | //text:list" mode="pourObj"/>
						</op:sTxt>
					</sp:obj>
				</xsl:if>
				<xsl:apply-templates select="office:body/office:text"/>
			</op:ue>
		</sc:item>
	</xsl:template>

	<!--ce template est plac ici car il faut que les traitements spcifiques des paragraphes soient placs aprs celui-l-->
	<xsl:template match="text:p">
		<xsl:param name="modalite"/>
		<!--on transmet la modalit (titre ou paraSimple) aux lments fils pour qu'il puissent se comporter en consquence-->
		<xsl:apply-templates>
			<xsl:with-param name="modalite" select="$modalite"/>
		</xsl:apply-templates>
	</xsl:template>

	<!--template spcifique pour les lments objectifs du module-->
	<xsl:template match="text:p[@text:style-name='_30_4_5f_OBJECTIFS_5f_DU_5f_MODULE'][count(descendant::text())&gt;0] | text:list" mode="pourObj">
		<xsl:variable name="testTypeElementCourant">
			<!--on fait appel  un template nomm car il est complexe de dterminer le type d'une liste-->
			<xsl:call-template name="testTypeElementCourant"/>
		</xsl:variable>
		<xsl:if test="$testTypeElementCourant='_30_4_5f_OBJECTIFS_5f_DU_5f_MODULE'">
			<xsl:call-template name="poseParaListe">
				<xsl:with-param name="modalite">paraSimple</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>

	<xsl:template match="office:text">
		<!--comme dans l'odt tout est  plat, pour dfinir un bloc encadrant, on utilise une mcanique o on trouve la position max de l'lement qui symbolise la fermeture du bloc encadrant. Ensuite, pour remplir ce bloc encadrant, on fait suivre vers les lments odt suivant dont la position est infrieure  la position max prcdement dfinie-->
		<xsl:variable name="posBlocSuivant">
			<!--le premier lment DIVISION DE NIV 1 ou COURS que l'on trouve servira de position max-->
			<xsl:for-each select="*[@text:style-name='_30_5_5f_DIVISION_5f_NIVEAU_5f_1' or @text:style-name='_31_1_5f_COURS'][1]">
				<xsl:value-of select="count(preceding-sibling::*)"/>
			</xsl:for-each>
		</xsl:variable>
		<!--si j'ai des lments de contenu riche (textes, listes, table(image illustre), ressources, citations pluriparagraphes) dont la position est infrieure  la position max ... -->
		<xsl:if test="*[((self::text:p) and (@text:style-name='TEXTE_5f_NORMAL') and (count(descendant::text())&gt;0))
							or (self::text:list)
							or ((self::table:table) and (count(descendant::table:table-cell)=2) and (descendant::draw:image))
							or ((self::text:p) and (draw:frame and count(descendant::text())=0))
							or ((self::text:p) and (@text:style-name='CITATION_5f_PLURIPARAGRAPHE') and (count(descendant::text())&gt;0))]
							[count(preceding-sibling::*) &lt; $posBlocSuivant]">
			<!-- ... alors on cre l'intro du module ... -->
			<sp:intro>
				<op:res>
					<!-- ... et on fait suivre  ces lments-->
					<xsl:apply-templates select="*[((self::text:p) and (@text:style-name='TEXTE_5f_NORMAL') and (count(descendant::text())&gt;0))
							or (self::text:list)
							or ((self::table:table) and (count(descendant::table:table-cell)=2) and (descendant::draw:image))
							or ((self::text:p) and (draw:frame and count(descendant::text())=0))
							or ((self::text:p) and (@text:style-name='CITATION_5f_PLURIPARAGRAPHE') and (count(descendant::text())&gt;0))
							or ((self::text:p) and (contains(@text:style-name,'BLOC_5f_')))]
							[count(preceding-sibling::*) &lt; $posBlocSuivant]">
						<xsl:with-param name="modalite">dansIntro</xsl:with-param>
					</xsl:apply-templates>
				</op:res>
			</sp:intro>
		</xsl:if>
		<!--on fait suivre aux cours qui n'ont pas de division de niveau 1 antrieurement c-a-d qui sont seraient au niveau racine d'Opale, et au division de niveau 1 : ici on touche  une limite du passage odt -> opale car dans opale on peut faire

		coursX
		div1
			coursA
			div2
				coursB
			coursC
		coursY

		or comme tout est  plat, on a :

		coursX
		div1
		coursA
		div 2
		coursB
		coursC
		coursY
		
		donc par exemple on n'a aucun moyen de savoir si coursC appartient  div1 ou div2 ou est frre de div1 et div2. D'ailleurs ceci se retrouve graphiquement dans l'odt. Dans cette transformation odt -> Opale on considre donc qu'un cours se trouve toujours dans la division qui se trouve directement au-dessus. Dans notre exemple coursB, coursC et coursY appartiennent  div2, coursA appartient  div1 et coursX est frre de div1 et div2-->
		<xsl:for-each select="text:p[@text:style-name='_31_1_5f_COURS']">
			<xsl:if test="count(preceding-sibling::text:p[@text:style-name='_30_5_5f_DIVISION_5f_NIVEAU_5f_1'])=0">
				<xsl:apply-templates select="current()"/>
			</xsl:if>
		</xsl:for-each>
		<xsl:apply-templates select="text:p[contains(@text:style-name,'DIVISION_5f_NIVEAU_5f_1')]"/>
	</xsl:template>

	<!--template qui sert pour les divisions de tous les niveaux-->
	<xsl:template match="text:p[contains(@text:style-name,'DIVISION_5f_NIVEAU')]">
		<xsl:variable name="styleCourant" select="@text:style-name"/>
		<!--on trouve l'lment qui dfinit la limite de cette division : c'est la prochaine division de mme niveau. En toute rigueur il faudrait tester si cette prochaine division est bien dans la mme division parente car on pourrait avoir le schma suivant :
		div1
		div2 <- on est ici
		div3a
		div3b
		div3c
		div1
		div2 <- prochaine div de mme niveau
		div3d
		et l on voit que la 2eme div2 n'est pas dans le mme div1 que la 1ere div2.
		Mais a ne pose pas de problme car cette variable sert  pouvoir pointer sur les sous-div de la div courante. Or mme si on se retrouve dans le cas de figure prsent ci-dessus, on ne touchera pas par erreur les div3 qui ne sont pas dans l'lment courant (en l'occurence div3d) car le div2 point dans cette variable est bien avant-->
		<xsl:variable name="posDivPareilSuivante">
			<xsl:for-each select="following-sibling::*[@text:style-name=$styleCourant][1]">
				<xsl:value-of select="count(preceding-sibling::*)"/>
			</xsl:for-each>
		</xsl:variable>
		<!--si on se retrouve en fin de document, la variable est vide. Donc ceci bloquera le mcanisme. Pour viter a, on donne une grande valeur  la variable pour tre sur que les lments points ensuite auront une position infrieure-->
		<xsl:variable name="posDivPareilSuivante2">
			<xsl:choose>
				<xsl:when test="$posDivPareilSuivante&gt;0">
					<xsl:value-of select="$posDivPareilSuivante"/>
				</xsl:when>
				<xsl:otherwise>1000000000000000000000000000000000000000000000000000000000000000000000000</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<!--on cherche l'lment dont la position max servira de rfrence pour pointer vers les bons lments cours : cet lment c'est la prochaine division rencontre, qu'elle soit de niveau suprieur, gal ou infrieur-->
		<xsl:variable name="posPremierSSdiv">
			<xsl:for-each select="following-sibling::*[contains(@text:style-name,'DIVISION_5f_NIVEAU')][1]">
				<xsl:value-of select="count(preceding-sibling::*)"/>
			</xsl:for-each>
		</xsl:variable>
		<!--mme remarque que plus haut-->
		<xsl:variable name="posPremierSSdiv2">
			<xsl:choose>
				<xsl:when test="$posPremierSSdiv&gt;0">
					<xsl:value-of select="$posPremierSSdiv"/>
				</xsl:when>
				<xsl:otherwise>1000000000000000000000000000000000000000000000000000000000000000000000000</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<!--il faut une autre variable de position max pour les lments de l'introduction. Qu'est-ce qui dfinit la fin de l'introduction ? la prsence d'une division ou d'un cours-->
		<xsl:variable name="posBlocSuivantPourIntro">
			<xsl:for-each select="following-sibling::*[contains(@text:style-name,'DIVISION_5f_NIVEAU') or @text:style-name='_31_1_5f_COURS'][1]">
				<xsl:value-of select="count(preceding-sibling::*)"/>
			</xsl:for-each>
		</xsl:variable>
		<!--mme remarque que plus haut-->
		<xsl:variable name="posBlocSuivantPourIntro2">
			<xsl:choose>
				<xsl:when test="$posBlocSuivantPourIntro&gt;0">
					<xsl:value-of select="$posBlocSuivantPourIntro"/>
				</xsl:when>
				<xsl:otherwise>1000000000000000000000000000000000000000000000000000000000000000000000000</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<!--cration de la division-->
		<sp:div>
			<op:ueDiv>
				<op:ueDivM>
					<sp:title>
						<xsl:apply-templates>
							<xsl:with-param name="modalite">titre</xsl:with-param>
						</xsl:apply-templates>
					</sp:title>
				</op:ueDivM>
				<!--si j'ai des lments de contenu riche (textes, listes, table(image illustre), ressources, citations pluriparagraphes) dont la position est infrieure  la position max ... -->
				<xsl:if test="following-sibling::*[((self::text:p) and (@text:style-name='TEXTE_5f_NORMAL') and (count(descendant::text())&gt;0))
								or (self::text:list)
								or ((self::table:table) and (count(descendant::table:table-cell)=2) and (descendant::draw:image))
								or ((self::text:p) and (draw:frame and count(descendant::text())=0))
								or ((self::text:p) and (@text:style-name='CITATION_5f_PLURIPARAGRAPHE') and (count(descendant::text())&gt;0))]
								[count(preceding-sibling::*) &lt; $posBlocSuivantPourIntro2]">
					<!-- ... alors on cre l'intro du module ... -->
					<sp:intro>
						<op:res>
							<!-- ... et on fait suivre  ces lments-->
							<xsl:apply-templates select="following-sibling::*[((self::text:p) and (@text:style-name='TEXTE_5f_NORMAL') and (count(descendant::text())&gt;0))
															or (self::text:list)
															or ((self::table:table) and (count(descendant::table:table-cell)=2) and (descendant::draw:image))
															or ((self::text:p) and (draw:frame and count(descendant::text())=0))
															or ((self::text:p) and (@text:style-name='CITATION_5f_PLURIPARAGRAPHE') and (count(descendant::text())&gt;0))
															or ((self::text:p) and (contains(@text:style-name,'BLOC_5f_')))]
															[count(preceding-sibling::*) &lt; $posBlocSuivantPourIntro2]">
								<xsl:with-param name="modalite">dansIntro</xsl:with-param>
							</xsl:apply-templates>
						</op:res>
					</sp:intro>
				</xsl:if>
				<!--ensuite, juste aprs l'intro, je peux avoir des cours et on pointe vers ceux qui sont avant la prochaine division (on n'aura pas de cours aprs d'ventuelles sous-divisions car le modle  plat de l'odt ne permet pas de les detecter (voir explication plus haut))-->
				<xsl:apply-templates select="following-sibling::*[@text:style-name='_31_1_5f_COURS'][count(preceding-sibling::*)&lt;$posPremierSSdiv2]"/>
				<!--ensuite, on fait un traitement pour chaque niveau de division et on va chercher les lments suivants (car en effet tout est  plat dans l'odt, c'est l la difficult)-->
				<xsl:choose>
					<xsl:when test="contains(@text:style-name,'DIVISION_5f_NIVEAU_5f_1')">
						<xsl:apply-templates select="following-sibling::*[contains(@text:style-name,'DIVISION_5f_NIVEAU_5f_2')][count(preceding-sibling::*)&lt;$posDivPareilSuivante2]"/>
					</xsl:when>
					<xsl:when test="contains(@text:style-name,'DIVISION_5f_NIVEAU_5f_2')">
						<xsl:apply-templates select="following-sibling::*[contains(@text:style-name,'DIVISION_5f_NIVEAU_5f_3')][count(preceding-sibling::*)&lt;$posDivPareilSuivante2]"/>
					</xsl:when>
					<xsl:when test="contains(@text:style-name,'DIVISION_5f_NIVEAU_5f_3')">
						<xsl:apply-templates select="following-sibling::*[contains(@text:style-name,'DIVISION_5f_NIVEAU_5f_4')][count(preceding-sibling::*)&lt;$posDivPareilSuivante2]"/>
					</xsl:when>
					<xsl:when test="contains(@text:style-name,'DIVISION_5f_NIVEAU_5f_4')">
						<xsl:apply-templates select="following-sibling::*[contains(@text:style-name,'DIVISION_5f_NIVEAU_5f_5')][count(preceding-sibling::*)&lt;$posDivPareilSuivante2]"/>
					</xsl:when>
					<xsl:when test="contains(@text:style-name,'DIVISION_5f_NIVEAU_5f_5')">
						<xsl:apply-templates select="following-sibling::*[contains(@text:style-name,'DIVISION_5f_NIVEAU_5f_6')][count(preceding-sibling::*)&lt;$posDivPareilSuivante2]"/>
					</xsl:when>
				</xsl:choose>
			</op:ueDiv>
		</sp:div>
	</xsl:template>

	<xsl:template match="text:p[@text:style-name='_31_1_5f_COURS']">
		<!--on cherche l'lment dont la prsence dfinit la fin de ce bloc cours : c'est le prochain lment de division ou de cours-->
		<xsl:variable name="posBlocSuivant">
			<xsl:for-each select="following-sibling::*[contains(@text:style-name,'DIVISION_5f_NIVEAU') or @text:style-name='_31_1_5f_COURS'][1]">
				<xsl:value-of select="count(preceding-sibling::*)"/>
			</xsl:for-each>
		</xsl:variable>
		<!--mme remarque que plus haut-->
		<xsl:variable name="posBlocSuivant2">
			<xsl:choose>
				<xsl:when test="$posBlocSuivant&gt;0">
					<xsl:value-of select="$posBlocSuivant"/>
				</xsl:when>
				<xsl:otherwise>1000000000000000000000000000000000000000000000000000000000000000000000000</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<!--on cherche l'lment dont la prsence dfinit la fin de l'ventuel premier bloc information. En effet si l'utilisateur met du texte riche dans le cours avant de faire d'autres blocs pdago ou des parties, ou bien sans rien faire aprs, il faut placer ce contenu dans un bloc information. La limite de cet ventuel bloc information est donc le prochain bloc pdago ou partie ou division-->
		<xsl:variable name="posBlocSuivantApresBlocInfo">
			<xsl:for-each select="following-sibling::*[contains(@text:style-name,'PARTIE_5f_NIVEAU') or contains(@text:style-name,'DIVISION_5f_NIVEAU') or contains(@text:style-name,'BLOC_5f') or @text:style-name='_31_1_5f_COURS'][1]">
				<xsl:value-of select="count(preceding-sibling::*)"/>
			</xsl:for-each>
		</xsl:variable>
		<!--mme remarque que plus haut-->
		<xsl:variable name="posBlocSuivantApresBlocInfo2">
			<xsl:choose>
				<xsl:when test="$posBlocSuivantApresBlocInfo&gt;0">
					<xsl:value-of select="$posBlocSuivantApresBlocInfo"/>
				</xsl:when>
				<xsl:otherwise>1000000000000000000000000000000000000000000000000000000000000000000000000</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<!--on cherche l'lment dont la prsence dfinit la fin de l'ensemble des blocs pdago : c'est le prochain cours ou partie ou division-->
		<xsl:variable name="posBlocSuivantApresBlocs">
			<xsl:for-each select="following-sibling::*[contains(@text:style-name,'PARTIE_5f_NIVEAU') or contains(@text:style-name,'DIVISION_5f_NIVEAU') or @text:style-name='_31_1_5f_COURS'][1]">
				<xsl:value-of select="count(preceding-sibling::*)"/>
			</xsl:for-each>
		</xsl:variable>
		<!--mme remarque que plus haut-->
		<xsl:variable name="posBlocSuivantApresBlocs2">
			<xsl:choose>
				<xsl:when test="$posBlocSuivantApresBlocs&gt;0">
					<xsl:value-of select="$posBlocSuivantApresBlocs"/>
				</xsl:when>
				<xsl:otherwise>1000000000000000000000000000000000000000000000000000000000000000000000000</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<!--on cre l'lment cours-->
		<sp:courseUc>
			<op:expUc>
				<op:uM>
					<sp:title>
						<xsl:apply-templates>
							<xsl:with-param name="modalite">titre</xsl:with-param>
						</xsl:apply-templates>
					</sp:title>
				</op:uM>
				<!--si on a du contenu riche ou des blocs ([count(preceding-sibling::*) &lt; $posBlocSuivant2]) ... -->
				<xsl:if test="following-sibling::*[((self::text:p) and (@text:style-name='TEXTE_5f_NORMAL') and (count(descendant::text())&gt;0))
								or (self::text:list)
								or ((self::table:table) and (count(descendant::table:table-cell)=2) and (descendant::draw:image))
								or ((self::text:p) and (draw:frame and count(descendant::text())=0))
								or ((self::text:p) and (@text:style-name='CITATION_5f_PLURIPARAGRAPHE') and (count(descendant::text())&gt;0))
								or (contains(@text:style-name,'BLOC_5f_'))]
								[count(preceding-sibling::*) &lt; $posBlocSuivant2]">
					<!-- ... on cre un lments de blocs pdago et ...-->
					<sp:pb>
						<op:pb>
							<!-- ... si on a du contenu riche avant les blocs pedago ([count(preceding-sibling::*) &lt; $posBlocSuivantApresBlocInfo2]) ... -->
							<xsl:if test="following-sibling::*[((self::text:p) and (@text:style-name='TEXTE_5f_NORMAL') and (count(descendant::text())&gt;0))
											or (self::text:list)
											or ((self::table:table) and (count(descendant::table:table-cell)=2) and (descendant::draw:image))
											or ((self::text:p) and (draw:frame and count(descendant::text())=0))
											or ((self::text:p) and (@text:style-name='CITATION_5f_PLURIPARAGRAPHE') and (count(descendant::text())&gt;0))]
											[count(preceding-sibling::*) &lt; $posBlocSuivantApresBlocInfo2]">
								<!-- ... on cre un bloc pdago information et ...-->
								<sp:info>
									<op:pbTi/>
									<op:res>
										<!-- ... on y met le contenu riche trouv-->
										<xsl:apply-templates select="following-sibling::*[((self::text:p) and (@text:style-name='TEXTE_5f_NORMAL') and (count(descendant::text())&gt;0))
																		or (self::text:list)
																		or ((self::table:table) and (count(descendant::table:table-cell)=2) and (descendant::draw:image))
																		or ((self::text:p) and (draw:frame and count(descendant::text())=0))
																		or ((self::text:p) and (@text:style-name='CITATION_5f_PLURIPARAGRAPHE') and (count(descendant::text())&gt;0))]
																		[count(preceding-sibling::*) &lt; $posBlocSuivantApresBlocInfo2]"/>
									</op:res>		
								</sp:info>
							</xsl:if>
							<!--on pointe vers les blocs pdago-->
							<xsl:apply-templates select="following-sibling::*[contains(@text:style-name,'BLOC_5f')][count(preceding-sibling::*)&lt;$posBlocSuivantApresBlocs2]"/>
						</op:pb>
					</sp:pb>
					<!--on pointe vers les parties-->
					<xsl:apply-templates select="following-sibling::*[contains(@text:style-name,'PARTIE_5f_NIVEAU_5f_1')][count(preceding-sibling::*)&lt;$posBlocSuivant2]"/>
				</xsl:if>
			</op:expUc>
		</sp:courseUc>
	</xsl:template>

	<!--pour les commentaires et les paragraphes vides on ne fait aucun traitement et on passe le relai-->
	<xsl:template match="text:p[@text:style-name='_30_4_5f_OBJECTIFS_5f_DU_5f_MODULE' and count(descendant::text())=0] | text:p[@text:style-name='_5f_COMMENTAIRE'] | *[count(child::text())=0 and count(child::*)=0]"/>

	<!--template pour traiter les blocs pdago-->
	<xsl:template match="text:p[contains(@text:style-name,'BLOC_5f_')]">
		<xsl:param name="modalite"/>
		<xsl:variable name="posBlocSuivant">
			<xsl:for-each select="following-sibling::*[contains(@text:style-name,'PARTIE_5f_NIVEAU') or contains(@text:style-name,'DIVISION_5f_NIVEAU') or contains(@text:style-name,'BLOC_5f') or @text:style-name='_31_1_5f_COURS'][1]">
				<xsl:value-of select="count(preceding-sibling::*)"/>
			</xsl:for-each>
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="$modalite='dansIntro'">
				<sp:txt>
					<op:txt>
						<sc:para>[ATTENTION DANS L'ODT LE CONTENU SUIVANT A T PLAC SOUS UN TITRE DE BLOC PDAGOGIQUE "<xsl:value-of select="substring-after(@text:style-name, '5f_')"/>" ALORS QUE OPALE NE LE PERMET LA PRSENCE DE BLOC PDAGOGIQUE DANS CETTE INTRODUCTION. VEUILLEZ LIMINER LE BLOC PDAGOGIQUE DANS L'ODT]</sc:para>
					</op:txt>
				</sp:txt>
			</xsl:when>
			<xsl:otherwise>
				<!--on cherche l'lment qui dfinit la fin d'un bloc pdago : le prochain bloc pdago ou division ou partie ou cours-->
				<xsl:variable name="typeBalise">
					<xsl:choose>
						<xsl:when test="@text:style-name='BLOC_5f_INFORMATION'">sp:info</xsl:when>
						<xsl:when test="@text:style-name='BLOC_5f_CONSEIL'">sp:adv</xsl:when>
						<xsl:when test="@text:style-name='BLOC_5f_COMPLEMENT'">sp:comp</xsl:when>
						<xsl:when test="@text:style-name='BLOC_5f_ATTENTION'">sp:warning</xsl:when>
						<xsl:when test="@text:style-name='BLOC_5f_REMARQUE'">sp:rem</xsl:when>
						<xsl:when test="@text:style-name='BLOC_5f_RAPPEL'">sp:remind</xsl:when>
						<xsl:when test="@text:style-name='BLOC_5f_DEFINITION'">sp:def</xsl:when>
						<xsl:when test="@text:style-name='BLOC_5f_EXEMPLE'">sp:ex</xsl:when>
						<xsl:when test="@text:style-name='BLOC_5f_METHODE'">sp:meth</xsl:when>
						<xsl:when test="@text:style-name='BLOC_5f_FONDAMENTAL'">sp:basic</xsl:when>
						<xsl:when test="@text:style-name='BLOC_5f_SYNTAXE'">sp:syntax</xsl:when>
						<xsl:when test="@text:style-name='BLOC_5f_TEXTE_5f_LEGAL'">sp:legal</xsl:when>
						<xsl:when test="@text:style-name='BLOC_5f_SIMULATION'">sp:simul</xsl:when>
					</xsl:choose>
				</xsl:variable>
				<xsl:element name="{$typeBalise}">
					<xsl:choose>
						<xsl:when test="count(descendant::text())=0">
							<op:pbTi/>
						</xsl:when>
						<xsl:otherwise>
							<op:pbTi>
								<sp:title>
									<xsl:apply-templates>
										<xsl:with-param name="modalite">titre</xsl:with-param>
									</xsl:apply-templates>
								</sp:title>
							</op:pbTi>
						</xsl:otherwise>
					</xsl:choose>
					<op:res>
						<!--on pointe vers les lments de contenu riche qui sont avant l'lment qui dfinit la fin du bloc pdago courant ([count(preceding-sibling::*) &lt; $posBlocSuivant])-->
						<xsl:apply-templates select="following-sibling::*[((self::text:p) and (@text:style-name='TEXTE_5f_NORMAL') and (count(descendant::text())&gt;0))
														or (self::text:list)
														or ((self::table:table) and (count(descendant::table:table-cell)=2) and (descendant::draw:image))
														or ((self::text:p) and (draw:frame and count(descendant::text())=0))
														or ((self::text:p) and (@text:style-name='CITATION_5f_PLURIPARAGRAPHE') and (count(descendant::text())&gt;0))]
														[count(preceding-sibling::*) &lt; $posBlocSuivant]"/>
					</op:res>
				</xsl:element>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template match="text:p[contains(@text:style-name,'PARTIE_5f_NIVEAU')]">
		<xsl:variable name="styleCourant" select="@text:style-name"/>
		<!--globalement l'ide pour cette variable est, pour chaque niveau de division, de dfinir la position du prochain lment frre ou parent ou du prochain cours-->
		<xsl:variable name="posBlocSuivant">
			<xsl:choose>
				<xsl:when test="contains(@text:style-name,'NIVEAU_5f_1')">
					<xsl:for-each select="following-sibling::*[contains(@text:style-name,'NIVEAU_5f_1') or contains(@text:style-name,'COURS')][1]">
						<xsl:value-of select="count(preceding-sibling::*)"/>
					</xsl:for-each>
				</xsl:when>
				<xsl:when test="contains(@text:style-name,'NIVEAU_5f_2')">
					<xsl:for-each select="following-sibling::*[contains(@text:style-name,'NIVEAU_5f_2') or contains(@text:style-name,'NIVEAU_5f_1') or contains(@text:style-name,'COURS')][1]">
						<xsl:value-of select="count(preceding-sibling::*)"/>
					</xsl:for-each>
				</xsl:when>
				<xsl:when test="contains(@text:style-name,'NIVEAU_5f_3')">
					<xsl:for-each select="following-sibling::*[contains(@text:style-name,'NIVEAU_5f_3') or contains(@text:style-name,'NIVEAU_5f_2') or contains(@text:style-name,'NIVEAU_5f_1') or contains(@text:style-name,'COURS')][1]">
						<xsl:value-of select="count(preceding-sibling::*)"/>
					</xsl:for-each>
				</xsl:when>
			</xsl:choose>
		</xsl:variable>
		<!--mme remarque que plus haut-->
		<xsl:variable name="posBlocSuivant2">
			<xsl:choose>
				<xsl:when test="$posBlocSuivant&gt;0">
					<xsl:value-of select="$posBlocSuivant"/>
				</xsl:when>
				<xsl:otherwise>1000000000000000000000000000000000000000000000000000000000000000000000000</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<!--on cherche l'lment qui dfinit la fin de l'ventuel bloc information : le premier bloc pdago ou partie ou division-->
		<xsl:variable name="posBlocSuivantApresBlocInfo">
			<xsl:for-each select="following-sibling::*[contains(@text:style-name,'PARTIE_5f_NIVEAU') or contains(@text:style-name,'DIVISION_5f_NIVEAU') or contains(@text:style-name,'BLOC_5f') or @text:style-name='_31_1_5f_COURS'][1]">
				<xsl:value-of select="count(preceding-sibling::*)"/>
			</xsl:for-each>
		</xsl:variable>
		<!--mme remarque que plus haut-->
		<xsl:variable name="posBlocSuivantApresBlocInfo2">
			<xsl:choose>
				<xsl:when test="$posBlocSuivantApresBlocInfo&gt;0">
					<xsl:value-of select="$posBlocSuivantApresBlocInfo"/>
				</xsl:when>
				<xsl:otherwise>1000000000000000000000000000000000000000000000000000000000000000000000000</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<!--on cherche l'lment qui dfinit la fin de l'ensemble des blocs pdago : le prochain cours ou division ou partie-->
		<xsl:variable name="posBlocSuivantApresBlocs">
			<xsl:for-each select="following-sibling::*[contains(@text:style-name,'PARTIE_5f_NIVEAU') or contains(@text:style-name,'DIVISION_5f_NIVEAU') or @text:style-name='_31_1_5f_COURS'][1]">
				<xsl:value-of select="count(preceding-sibling::*)"/>
			</xsl:for-each>
		</xsl:variable>
		<!--mme remarque que plus haut-->
		<xsl:variable name="posBlocSuivantApresBlocs2">
			<xsl:choose>
				<xsl:when test="$posBlocSuivantApresBlocs&gt;0">
					<xsl:value-of select="$posBlocSuivantApresBlocs"/>
				</xsl:when>
				<xsl:otherwise>1000000000000000000000000000000000000000000000000000000000000000000000000</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<!--on cre la partie-->
		<sp:div>
			<op:expUcDiv>
				<op:expUcDivM>
					<sp:title>
						<xsl:apply-templates>
							<xsl:with-param name="modalite">titre</xsl:with-param>
						</xsl:apply-templates>
					</sp:title>
				</op:expUcDivM>
				<!--s'il y a du contenu riche ou un bloc pedago (or (contains(@text:style-name,'BLOC_5f_'))) ... -->
				<xsl:if test="following-sibling::*[((self::text:p) and (@text:style-name='TEXTE_5f_NORMAL') and (count(descendant::text())&gt;0))
								or (self::text:list)
								or ((self::table:table) and (count(descendant::table:table-cell)=2) and (descendant::draw:image))
								or ((self::text:p) and (draw:frame and count(descendant::text())=0))
								or ((self::text:p) and (@text:style-name='CITATION_5f_PLURIPARAGRAPHE') and (count(descendant::text())&gt;0))
								or (contains(@text:style-name,'BLOC_5f_'))]
								[count(preceding-sibling::*) &lt; $posBlocSuivant2]">
					<!-- ... alors on cre un ensemble de bloc pedago et ... -->
					<sp:pb>
						<op:pb>
							<!-- ... si on a du contenu riche avant tout ... -->
							<xsl:if test="following-sibling::*[((self::text:p) and (@text:style-name='TEXTE_5f_NORMAL') and (count(descendant::text())&gt;0))
											or (self::text:list)
											or ((self::table:table) and (count(descendant::table:table-cell)=2) and (descendant::draw:image))
											or ((self::text:p) and (draw:frame and count(descendant::text())=0))
											or ((self::text:p) and (@text:style-name='CITATION_5f_PLURIPARAGRAPHE') and (count(descendant::text())&gt;0))]
											[count(preceding-sibling::*) &lt; $posBlocSuivantApresBlocInfo2]">
								<!-- ... alors on cre un bloc information et ... -->
								<sp:info>
									<op:pbTi/>
									<op:res>
										<!-- ... on y pointe ces lments de contenu riche --> 
										<xsl:apply-templates select="following-sibling::*[((self::text:p) and (@text:style-name='TEXTE_5f_NORMAL') and (count(descendant::text())&gt;0))
																		or (self::text:list)
																		or ((self::table:table) and (count(descendant::table:table-cell)=2) and (descendant::draw:image))
																		or ((self::text:p) and (draw:frame and count(descendant::text())=0))
																		or ((self::text:p) and (@text:style-name='CITATION_5f_PLURIPARAGRAPHE') and (count(descendant::text())&gt;0))]
																		[count(preceding-sibling::*) &lt; $posBlocSuivantApresBlocInfo2]"/>
									</op:res>		
								</sp:info>
							</xsl:if>
							<!--on pointe vers les blocs qui se trouvent avant le prochain cours ou partie ou division ([count(preceding-sibling::*)&lt;$posBlocSuivantApresBlocs2])--> 
							<xsl:apply-templates select="following-sibling::*[contains(@text:style-name,'BLOC_5f')][count(preceding-sibling::*)&lt;$posBlocSuivantApresBlocs2]"/>
						</op:pb>
					</sp:pb>
				</xsl:if>
				<!--pour chaque niveau de partie on pointe vers celle de profondeur suprieure et tant toujours dans le mme cours-->
				<xsl:choose>
					<xsl:when test="contains(@text:style-name,'NIVEAU_5f_1')">
						<xsl:apply-templates select="following-sibling::*[contains(@text:style-name,'PARTIE_5f_NIVEAU_5f_2')][count(preceding-sibling::*)&lt;$posBlocSuivant2][1]"/>
					</xsl:when>
					<xsl:when test="contains(@text:style-name,'NIVEAU_5f_2')">
						<xsl:apply-templates select="following-sibling::*[contains(@text:style-name,'PARTIE_5f_NIVEAU_5f_3')][count(preceding-sibling::*)&lt;$posBlocSuivant2][1]"/>
					</xsl:when>
				</xsl:choose>
			</op:expUcDiv>
		</sp:div>
	</xsl:template>

	<xsl:template match="text:list">
		<xsl:call-template name="creationListe"/>
	</xsl:template>

	<!--traitement des paragraphes de texte normal, citations plutiparagraphes et listes-->	
	<xsl:template match="text:p[@text:style-name='TEXTE_5f_NORMAL'][count(descendant::text())&gt;0]
						| text:p[@text:style-name='CITATION_5f_PLURIPARAGRAPHE'][count(descendant::text())&gt;0]
						| text:p[@text:style-name='_30_4_5f_OBJECTIFS_5f_DU_5f_MODULE'][count(descendant::text())&gt;0]
						| text:list">
		<!--on dfinit le type de l'lment courant (pas trivial car pour les listes on va dfinir leur type en regardant le style de paragraphe en leur sein--> 
		<xsl:variable name="typeElementCourant">
			<xsl:call-template name="testTypeElementCourant"/>
		</xsl:variable>
		<!--on dfinit le type de l'lment prcdent-->
		<xsl:variable name="typeElementPrecedent">
			<xsl:for-each select="preceding-sibling::*[1]">
				<xsl:call-template name="testTypeElementCourant"/>
			</xsl:for-each>
		</xsl:variable>
		<!--si l'element prcdent est d'un type diffrent de l'lment courant alors on continue le traitement. Sinon on ignore car les lments de mme type sont traits dans ce if-->
		<xsl:if test="($typeElementPrecedent!=$typeElementCourant)">
			<!--on dfinit la position du bloc qui fermera le bloc courant (bloc texte ou bloc citation pluriparagraphe) car on veut mettre les listes et textes de mme type et contigus dans le mme bloc texte-->
			<xsl:variable name="posBlocSuivant">
				<!--technique o on applique un traitement au premier lment suivant, qui lui mme appliquera le traitement  son premier lment suivant si ncessaire, ... on passe en paramtre le type de l'lment courant pour pouvoir comparer -->
				<xsl:for-each select="following-sibling::*[1]">
					<xsl:call-template name="posElementDifSuivant">
						<xsl:with-param name="typeElementOrigine" select="$typeElementCourant"/>
					</xsl:call-template>
				</xsl:for-each>
			</xsl:variable>
			<xsl:choose>
				<!--si c'est du texte normal alors on cre l'lment texte-->
				<xsl:when test="$typeElementCourant='TEXTE_5f_NORMAL'">
					<sp:txt>
						<op:txt>
							<!--on pose les lments paragraphes et listes-->
							<xsl:call-template name="poseParaListe">
								<xsl:with-param name="modalite">normal</xsl:with-param>
							</xsl:call-template>
							<!--on renvoie  tous les lments suivants dont la position est infrieure  la position de l'lment qui dfinit la fin du bloc-->
							<xsl:apply-templates select="following-sibling::*[count(preceding-sibling::*) &lt; $posBlocSuivant]" mode="dansBlocTexte"/>
						</op:txt>
					</sp:txt>
				</xsl:when>
				<!--si c'est de la citation pluriparagraphe alors on cre l'lment citation pluriparagraphe-->
				<xsl:when test="$typeElementCourant='CITATION_5f_PLURIPARAGRAPHE'">
					<sp:bkquote>
						<op:qTxt>
							<!--on pose les lments paragraphes et listes-->
							<xsl:call-template name="poseParaListe"/>
							<!--on renvoie  tous les lments suivants dont la position est infrieure  la position de l'lment qui dfinit la fin du bloc-->
							<xsl:apply-templates select="following-sibling::*[count(preceding-sibling::*) &lt; $posBlocSuivant]" mode="dansBlocTexte"/>
						</op:qTxt>
					</sp:bkquote>
				</xsl:when>
				<!--si c'est de l'objectif pdagogique alors on ne fait rien car les objectifs (s'il y en a) on dj t traits prcdement-->
				<xsl:when test="$typeElementCourant='_30_4_5f_OBJECTIFS_5f_DU_5f_MODULE'"/>
			</xsl:choose>
		</xsl:if>
	</xsl:template>

	<!--template nomm qui permet de dfinir le type d'un paragraphe non vide ou d'une liste. En effet pour les listes c'est assez compliqu, il faut regarder le style des items et les comparer avec un autre lment dans l'odt qui lui porte le style odt TEXT_SIMPLE ou CITATION_PLURIPARAGRAPHES-->
	<xsl:template name="testTypeElementCourant">
		<xsl:choose>
			<xsl:when test="self::text:list">
				<xsl:variable name="nomStyleListe" select="@text:style-name"/>
				<xsl:for-each select="//style:style[@style:list-style-name=$nomStyleListe][1]">
					<xsl:value-of select="@style:parent-style-name"/>
				</xsl:for-each>
			</xsl:when>
			<xsl:when test="self::text:p">
				<xsl:if test="count(descendant::text())&gt;0">
					<xsl:value-of select="@text:style-name"/>
				</xsl:if>
			</xsl:when>
		</xsl:choose>
	</xsl:template>

	<!--template nomm qui sert  dterminer la position du premier lment suivant qui ne sera pas du mme type que l'lment dont on passe le type en paramtre-->
	<xsl:template name="posElementDifSuivant">
		<xsl:param name="typeElementOrigine"/>
		<xsl:variable name="typeElementCourant">
			<xsl:call-template name="testTypeElementCourant"/>
		</xsl:variable>
		<xsl:choose>
			<!--si les types dont les mmes alors on appelle encore une fois ce template pour l'lments suivant ... -->
			<xsl:when test="$typeElementOrigine=$typeElementCourant and count(descendant::text())!=0">
				<xsl:for-each select="following-sibling::*[1]">
					<xsl:call-template name="posElementDifSuivant">
						<xsl:with-param name="typeElementOrigine" select="$typeElementOrigine"/>
					</xsl:call-template>
				</xsl:for-each>
			</xsl:when>
			<!-- ... sinon on renvoie sa position-->
			<xsl:otherwise>
				<xsl:value-of select="count(preceding-sibling::*)"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="poseParaListe">
		<xsl:param name="modalite"/>
		<xsl:choose>
			<xsl:when test="self::text:list">
				<xsl:call-template name="creationListe">
					<xsl:with-param name="modalite" select="$modalite"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="self::text:p">
				<sc:para>
					<xsl:apply-templates>
						<xsl:with-param name="modalite" select="$modalite"/>
					</xsl:apply-templates>
				</sc:para>
			</xsl:when>
			<xsl:otherwise>
				<sc:para>
					[PROBLME : LMENT NON RECONNU  CET ENDROIT DANS L'ODT]
				</sc:para>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template match="*" mode="dansBlocTexte">
		<xsl:call-template name="poseParaListe"/>
	</xsl:template>

	<!--template qui sert  crer les listes. Pour dterminer si c'est de type " puce" ou "ordonne" ce n'est pas simple-->
	<xsl:template name="creationListe">
		<xsl:param name="modalite"/>
		<!--on doit rechercher un lment text:list-style dans l'odt dont la valeur de l'attribut style:name doit tre gal  la valeur de l'attirbut text:style-name de notre liste ... -->
		<xsl:variable name="nomStyleListe" select="//text:list-style[@style:name=current()/@text:style-name]"/>
		<xsl:choose>
			<!-- ... et pour dterminer le type de liste il faut regarder la valeur d'un autre attribut de cet lment text:list-style-->
			<xsl:when test="$nomStyleListe/text:list-level-style-bullet[position()=1]">
				<sc:itemizedList>
					<xsl:for-each select="text:list-item">
						<sc:listItem>
							<xsl:for-each select="text:p">
								<sc:para>
									<xsl:apply-templates>
										<xsl:with-param name="modalite" select="$modalite"/>
									</xsl:apply-templates>
								</sc:para>
							</xsl:for-each>
						</sc:listItem>
					</xsl:for-each>
				</sc:itemizedList>
			</xsl:when>
			<xsl:when test="$nomStyleListe/text:list-level-style-number[position()=1]">
				<sc:orderedList>
					<xsl:for-each select="text:list-item">
						<sc:listItem>
							<xsl:for-each select="text:p">
								<sc:para>
									<xsl:apply-templates>
										<xsl:with-param name="modalite" select="$modalite"/>
									</xsl:apply-templates>
								</sc:para>
							</xsl:for-each>
						</sc:listItem>
					</xsl:for-each>
				</sc:orderedList>
			</xsl:when>
		</xsl:choose>
	</xsl:template>

	<!--on matche les tableaux qui n'ont que deux cellules et qui ont un lement draw:image : ce sont les textes illutrs-->
	<xsl:template match="table:table[count(descendant::table:table-cell)=2][descendant::draw:image]">
		<sp:txtRes>
			<op:txtRes>
				<op:txtResM>
					<xsl:choose>
						<xsl:when test=".//table:table-cell[1]//draw:image">
							<sp:pos>lft</sp:pos>
						</xsl:when>
						<xsl:when test=".//table:table-cell[2]//draw:image">
							<sp:pos>rgt</sp:pos>
						</xsl:when>
					</xsl:choose>
				</op:txtResM>
				<sp:txt>
					<op:txt>
						<xsl:for-each select=".//text:p[count(descendant::text())&gt;0] | .//text:list">
							<xsl:call-template name="poseParaListe"/>
						</xsl:for-each>
					</op:txt>
				</sp:txt>
				<xsl:variable name="refImage">
					<xsl:apply-templates select=".//draw:frame"/>
				</xsl:variable>
				<sp:res sc:refUri="{$refImage}"/>
			</op:txtRes>
		</sp:txtRes>
	</xsl:template>

	<!--template qui traite les ressources-->
	<xsl:template match="text:p[draw:frame and count(descendant::text())=0]">
		<xsl:variable name="refRes">
			<xsl:for-each select=".//draw:frame[1]">
				<xsl:call-template name="cheminRes"/>
			</xsl:for-each>
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="contains($refRes,'/contenuConverti/PNG') or contains($refRes,'/contenuConverti/JPG') or contains($refRes,'/contenuConverti/GIF')">
				<sp:img sc:refUri="{$refRes}"/>
			</xsl:when>
			<xsl:when test="contains($refRes,'/contenuConverti/ODF')">
				<sp:form sc:refUri="{$refRes}"/>
			</xsl:when>
			<xsl:when test="contains($refRes,'/contenuConverti/ODG')">
				<sp:graph sc:refUri="{$refRes}"/>
			</xsl:when>
			<xsl:when test="contains($refRes,'/contenuConverti/ODS')">
				<sp:tab sc:refUri="{$refRes}"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template match="text:span[@text:style-name='IMPORTANT'] | text:span[@text:style-name='TERME_20_ETRANGER'] | text:span[@text:style-name='CITATION'] | text:span[@text:style-name='COMMANDE'] | text:span[@text:style-name='EXPOSANT'] | text:span[@text:style-name='INDICE'] | text:span[@text:style-name='EQUATION_5f_LATEX']">
		<xsl:param name="modalite"/>
		<xsl:choose>
			<xsl:when test="$modalite='titre' or ((@text:style-name='CITATION' or @text:style-name='COMMANDE' or @text:style-name='EXPOSANT' or @text:style-name='INDICE' or @text:style-name='EQUATION_5f_LATEX') and $modalite='paraSimple')">
				<xsl:call-template name="messageErreurInline">
					<xsl:with-param name="element"><xsl:value-of select="@text:style-name"/></xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="@text:style-name='IMPORTANT'">
				<xsl:call-template name="elementInline">
					<xsl:with-param name="type">emp</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="@text:style-name='TERME_20_ETRANGER'">
				<xsl:call-template name="elementInline">
					<xsl:with-param name="type">spec</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="@text:style-name='CITATION'">
				<xsl:call-template name="elementInline">
					<xsl:with-param name="type">quote</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="@text:style-name='COMMANDE'">
				<xsl:call-template name="elementInline">
					<xsl:with-param name="type">code</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="@text:style-name='EXPOSANT'">
				<xsl:call-template name="textLeaf">
					<xsl:with-param name="type">exp</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="@text:style-name='INDICE'">
				<xsl:call-template name="textLeaf">
					<xsl:with-param name="type">ind</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="@text:style-name='EQUATION_5f_LATEX'">
				<xsl:call-template name="textLeaf">
					<xsl:with-param name="type">mathtex</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				[UN PROBLME A T RENCONTR]
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>	

	<xsl:template match="text:a[@xlink:href!='']">
		<xsl:param name="modalite"/>
		<xsl:choose>
			<xsl:when test="contains(@xlink:href,':') and $modalite='titre'">
				[VOUS AVEZ FAIT UN LIEN WEB DANS CE TITRE DANS L'ODT ALORS QUE OPALE NE LE PERMET PAS]
			</xsl:when>
			<xsl:when test="contains(@xlink:href,':')">
				<sc:uLink url="{@xlink:href}">
					<xsl:value-of select="."/>
				</sc:uLink>
			</xsl:when>
			<xsl:when test="contains(@xlink:href,'#') and $modalite='paraSimple'">
				[VOUS AVEZ FAIT UN LIEN VERS UN DOCUMENT  CET ENDROIT DANS L'ODT ALORS QUE OPALE NE LE PERMET PAS]
			</xsl:when>
			<xsl:when test="contains(@xlink:href,'#')">
				<xsl:variable name="nomObjet" select="substring-before(substring-after(@xlink:href, '#'), '|')"/>
				<xsl:variable name="elementReference">
					<xsl:apply-templates select="//draw:frame[@draw:name=$nomObjet]"/>
				</xsl:variable>
				<xsl:choose>
					<xsl:when test="$elementReference=''">
						<xsl:value-of select="."/> [IL Y A EU UNE ERREUR AU RFRENCEMENT D'UNE RESSOURCE SUR LE TERME "<xsl:value-of select="."/>", PROBABLEMENT PARCE QUE L'LMENT RFRENC N'EXISTE PLUS. IL VOUS EST CONSEILL DE REFAIRE CE RFRENCEMENT DANS L'ODT]					
					</xsl:when>
					<xsl:otherwise>
						<sc:uLink role="resLnk" sc:refUri="{$elementReference}">
							<xsl:value-of select="."/>
						</sc:uLink>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	
	<!--template pour traiter les ressources inline-->
	<xsl:template match="draw:frame">
		<xsl:variable name="refRes">
			<xsl:call-template name="cheminRes"/>
		</xsl:variable>
		<xsl:variable name="typeResInline">
			<xsl:for-each select="//style:style[@style:name=current()/@draw:style-name]">
				<xsl:value-of select="@style:parent-style-name"/>
			</xsl:for-each>
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="$typeResInline='Graphics'">
				<sc:inlineImg role="ico" sc:refUri="{$refRes}"/>
			</xsl:when>
			<xsl:when test="$typeResInline='Formula'">
				<sc:inlineImg role="form" sc:refUri="{$refRes}"/>
			</xsl:when>
			<xsl:otherwise>
				[UNE RESSOURCE INLINE D'UN FORMAT INTERDIT PAR OPALE (NI IMAGE, NI FORMULE) A T INTRODUITE  CET ENDROIT]
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<!--####################################################################################-->
	<!--###templates pour mutualiser la cration d'lments inline styls, et de textleaf###-->

	<xsl:template name="elementInline">
		<xsl:param name="type"/>
		<sc:inlineStyle role="{$type}">
			<!--on fait un apply-templates et non pas un xsl-value car on peut avoir d'autres lments inline imbriqus-->
			<xsl:apply-templates/>
		</sc:inlineStyle>
	</xsl:template>

	<xsl:template name="textLeaf">
		<xsl:param name="type"/>
		<sc:textLeaf role="{$type}">
			<xsl:value-of select="."/>
		</sc:textLeaf>
	</xsl:template>

	<xsl:template name="messageErreurInline">
		<xsl:param name="element"/>
		<xsl:value-of select="."/>&#160;[(<xsl:value-of select="."/>) LMENT STYL EN TANT QUE '<xsl:value-of select="$element"/>' DANS L'ODT MAIS INTERDIT DANS CE TYPE DE TEXTE DANS OPALE]
	</xsl:template>
	
	<!--###templates pour mutualiser la cration d'lments inline styls, et de textleaf###-->
	<!--####################################################################################-->

	<!--template nomm pour renvoyer le chemin de la ressource dans le systme de fichier-->
	<xsl:template name="cheminRes">
		<xsl:variable name="vOdPath" select="*/@xlink:href"/>
		<xsl:variable name="vtype">
			<xsl:choose>
				<xsl:when test="$pResListFileXml//res[@inOdtPath=$vOdPath]/@type='image/jpeg'">JPG</xsl:when>
				<xsl:when test="$pResListFileXml//res[@inOdtPath=$vOdPath]/@type='image/gif'">GIF</xsl:when>
				<xsl:when test="$pResListFileXml//res[@inOdtPath=$vOdPath]/@type='image/png'">PNG</xsl:when>
				<xsl:when test="$pResListFileXml//res[@inOdtPath=$vOdPath]/@type='application/vnd.oasis.opendocument.formula'">ODF</xsl:when>
				<xsl:when test="$pResListFileXml//res[@inOdtPath=$vOdPath]/@type='application/vnd.oasis.opendocument.spreadsheet'">ODS</xsl:when>
				<xsl:when test="$pResListFileXml//res[@inOdtPath=$vOdPath]/@type='application/vnd.oasis.opendocument.graphics'">ODG</xsl:when>
			</xsl:choose>
		</xsl:variable>/contenuConverti/<xsl:value-of select="$vtype"/>/<xsl:value-of select="$pResListFileXml//res[@inOdtPath=$vOdPath]/@name"/>
	</xsl:template>
	
</xsl:stylesheet>
