<?xml version="1.0" encoding="ISO-8859-1"?>
<!--
 * LICENCE[[
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1/CeCILL 2.O 
 *
 * The contents of this file are subject to the Mozilla Public License Version 
 * 1.1 (the "License"); you may not use this file except in compliance with 
 * the License. You may obtain a copy of the License at http://www.mozilla.org/MPL/ 
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, 
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License 
 * for the specific language governing rights and limitations under the 
 * License. 
 * 
 * The Original Code is kelis.fr code. 
 * 
 * The Initial Developer of the Original Code is 
 * antoine.pourchez@kelis.fr 
 * 
 * Portions created by the Initial Developer are Copyright (C) 2005 
 * the Initial Developer. All Rights Reserved. 
 * 
 * Contributor(s): 
 * 
 * 
 * Alternatively, the contents of this file may be used under the terms of 
 * either of the GNU General Public License Version 2 or later (the "GPL"), 
 * or the GNU Lesser General Public License Version 2.1 or later (the "LGPL"), 
 * or the CeCILL Licence Version 2.0 (http://www.cecill.info/licences.en.html), 
 * in which case the provisions of the GPL, the LGPL or the CeCILL are applicable 
 * instead of those above. If you wish to allow use of your version of this file 
 * only under the terms of either the GPL, the LGPL or the CeCILL, and not to allow 
 * others to use your version of this file under the terms of the MPL, indicate 
 * your decision by deleting the provisions above and replace them with the notice 
 * and other provisions required by the GPL, the LGPL or the CeCILL. If you do not 
 * delete the provisions above, a recipient may use your version of this file under 
 * the terms of any one of the MPL, the GPL, the LGPL or the CeCILL.
 * ]]LICENCE
 -->
<xsl:stylesheet 
			version="1.0" 
			xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0"
		    xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0"
		    xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0"
		    xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0"
		    xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"
		    xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0"
		    xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:dc="http://purl.org/dc/elements/1.1/"
		    xmlns:meta="urn:oasis:names:tc:opendocument:xmlns:meta:1.0"
		    xmlns:number="urn:oasis:names:tc:opendocument:xmlns:datastyle:1.0"
		    xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0"
		    xmlns:chart="urn:oasis:names:tc:opendocument:xmlns:chart:1.0"
		    xmlns:dr3d="urn:oasis:names:tc:opendocument:xmlns:dr3d:1.0"
		    xmlns:math="http://www.w3.org/1998/Math/MathML"
		    xmlns:form="urn:oasis:names:tc:opendocument:xmlns:form:1.0"
		    xmlns:script="urn:oasis:names:tc:opendocument:xmlns:script:1.0"
		    xmlns:ooo="http://openoffice.org/2004/office" xmlns:ooow="http://openoffice.org/2004/writer"
		    xmlns:oooc="http://openoffice.org/2004/calc" xmlns:dom="http://www.w3.org/2001/xml-events"
		    xmlns:xforms="http://www.w3.org/2002/xforms" xmlns:xsd="http://www.w3.org/2001/XMLSchema"
		    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
			xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
			xmlns:java="http://xml.apache.org/xslt/java"
			xmlns:xalan="http://xml.apache.org/xalan"
			xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
			xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
			xmlns:op="utc.fr:ics/opale3"
			exclude-result-prefixes="java manifest sc sp op">
	<xsl:output encoding="UTF-8" indent="yes" method="xml"/>
	
	<xsl:param name="pResListFile"/>
	<xsl:param name="pDeleteRes"/>
    
	<xsl:variable name="pResListFileXml" select="document($pResListFile)"/>
	  
	<xsl:template match="/*">
		<sc:item xmlns:sc="http://www.utc.fr/ics/scenari/v3/core">
			<op:ue xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:op="utc.fr:ics/opale3" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core">
				<op:ueM>
					<sp:title>
						<!--on va chercher le premier pararaphe styl titre_du_module non vide-->
						<xsl:apply-templates select="//text:p[@text:style-name='_30_1_5f_TITRE_5f_DU_5f_MODULE'][count(descendant::text())&gt;0][1]">
							<xsl:with-param name="modalite">titre</xsl:with-param>
						</xsl:apply-templates>
						<!--si on trouve plusieurs paragraphes non vides styls titre_du_module, on prvient l'utilisateur-->
						<xsl:if test="count(//text:p[@text:style-name='_30_1_5f_TITRE_5f_DU_5f_MODULE'][count(descendant::text())&gt;0])&gt;1"> - ATTENTION PLUSIEURS PARAGRAPHES DE TITRE DE MODULE TROUVS DANS L'ODT</xsl:if>
					</sp:title>
					<!--si on a un titre court non vide on cre l'lment-->
					<xsl:if test="//text:p[@text:style-name='_30_2_5f_TITRE_5f_COURT_5f_DU_5f_MODULE'][count(descendant::text())&gt;0]">
						<sp:sTitle>
							<!--pour le premier titre court non vide rencontr, on envoie en mode 'titre' car dans les titres on n'a pas d'lments inline donc on en fait un traitement spcial-->	
							<xsl:apply-templates select="//text:p[@text:style-name='_30_2_5f_TITRE_5f_COURT_5f_DU_5f_MODULE'][count(descendant::text())&gt;0][1]">
								<xsl:with-param name="modalite">titre</xsl:with-param>
							</xsl:apply-templates>
							<!--si on trouve plusieurs paragraphes non vides styls titre_court_du_module, on prvient l'utilisateur-->
							<xsl:if test="count(//text:p[@text:style-name='_30_2_5f_TITRE_5f_COURT_5f_DU_5f_MODULE'][count(descendant::text())&gt;0])&gt;1"> - ATTENTION PLUSIEURS PARAGRAPHES DE TITRE COURT DE MODULE TROUVS DANS L'ODT</xsl:if>
						</sp:sTitle>
					</xsl:if>
					<!--si on a un paragraphe non vide sur la paternit/copyright, on cre l'lment-->
					<xsl:if test="//text:p[@text:style-name='_30_3_5f_PATERNITE_5f_OU_5f_COPYRIGHT'][count(descendant::text())&gt;0]">
						<sp:info>
							<op:info>
								<sp:cpyrgt>
									<op:sPara>
										<sc:para>
											<!--pour le premier paragraphe non vide rencontr, on envoie en mode 'paraSimple' car dans le modle, dans la partie patrenit/copyright, on a un lment paraSimple : mono-paragraphe avec seulement 'important' 'tranger' et 'lien web/mail' autoriss-->	
											<xsl:apply-templates select="//text:p[@text:style-name='_30_3_5f_PATERNITE_5f_OU_5f_COPYRIGHT'][count(descendant::text())&gt;0][1]">
												<xsl:with-param name="modalite">paraSimple</xsl:with-param>
											</xsl:apply-templates>
											<!--si on trouve plusieurs paragraphes non vides styls paternite/copyright, on prvient l'utilisateur-->
											<xsl:if test="count(//text:p[@text:style-name='_30_3_5f_PATERNITE_5f_OU_5f_COPYRIGHT'][count(descendant::text())&gt;0])&gt;1"> - ATTENTION PLUSIEURS PARAGRAPHES PATERNIT/COPYRIGHT TROUVS DANS L'ODT</xsl:if>
										</sc:para>
									</op:sPara>
								</sp:cpyrgt>
							</op:info>
						</sp:info>
					</xsl:if>
				</op:ueM>
				<!--si on a au moins un paragraphe non vide ou une liste styl en tant qu'objectif, on cre l'lment-->
				<xsl:variable name="testObj">
					<xsl:for-each select="office:body/office:text/text:p[count(descendant::text())&gt;0] | office:body/office:text/text:list">
						<xsl:variable name="testTypeElementCourant">
							<xsl:call-template name="testTypeElementCourant"/>
						</xsl:variable>
						<xsl:if test="$testTypeElementCourant='_30_4_5f_OBJECTIFS_5f_DU_5f_MODULE'">OUI</xsl:if>
					</xsl:for-each>
				</xsl:variable>	
				<xsl:if test="contains($testObj,'OUI')">
					<sp:obj>
						<op:sTxt>
							<xsl:apply-templates select="//text:p[@text:style-name='_30_4_5f_OBJECTIFS_5f_DU_5f_MODULE'][count(descendant::text())&gt;0] | //text:list" mode="pourObj"/>
						</op:sTxt>
					</sp:obj>
				</xsl:if>
				<xsl:apply-templates select="office:body/office:text"/>
			</op:ue>
		</sc:item>
	</xsl:template>

	<xsl:template match="text:p[@text:style-name='_30_4_5f_OBJECTIFS_5f_DU_5f_MODULE'][count(descendant::text())&gt;0] | text:list" mode="pourObj">
		<xsl:variable name="testTypeElementCourant">
			<xsl:call-template name="testTypeElementCourant"/>
		</xsl:variable>
		<xsl:if test="$testTypeElementCourant='_30_4_5f_OBJECTIFS_5f_DU_5f_MODULE'">
			<xsl:call-template name="poseParaListe">
				<xsl:with-param name="modalite">paraSimple</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>

	<xsl:template match="office:text">
		<xsl:variable name="posBlocSuivant">
			<xsl:for-each select="*[@text:style-name='_30_5_5f_DIVISION_5f_NIVEAU_5f_1' or @text:style-name='_31_1_5f_COURS'][1]">
				<xsl:value-of select="count(preceding-sibling::*)"/>
			</xsl:for-each>
		</xsl:variable>
		<xsl:if test="*[((self::text:p) and (@text:style-name='TEXTE_5f_NORMAL') and (count(descendant::text())&gt;0))
							or (self::text:list)
							or ((self::table:table) and (count(descendant::table:table-cell)=2) and (descendant::draw:image))
							or ((self::text:p) and (draw:frame and count(descendant::text())=0))
							or ((self::text:p) and (@text:style-name='CITATION_5f_PLURIPARAGRAPHE') and (count(descendant::text())&gt;0))]
							[count(preceding-sibling::*) &lt; $posBlocSuivant]">
			<sp:intro>
				<op:res>
					<xsl:apply-templates select="*[((self::text:p) and (@text:style-name='TEXTE_5f_NORMAL') and (count(descendant::text())&gt;0))
							or (self::text:list)
							or ((self::table:table) and (count(descendant::table:table-cell)=2) and (descendant::draw:image))
							or ((self::text:p) and (draw:frame and count(descendant::text())=0))
							or ((self::text:p) and (@text:style-name='CITATION_5f_PLURIPARAGRAPHE') and (count(descendant::text())&gt;0))]
							[1]">
						<xsl:with-param name="posBlocSuivant" select="$posBlocSuivant"/>
					</xsl:apply-templates>
				</op:res>
			</sp:intro>
		</xsl:if>
		<xsl:apply-templates select="*[count(preceding-sibling::*)=$posBlocSuivant]">
			<xsl:with-param name="posBlocSuivant">on est sorti su bloc prcdent</xsl:with-param>
		</xsl:apply-templates>
	</xsl:template>

	<xsl:template match="text:p[contains(@text:style-name,'DIVISION_5f_NIVEAU')]">
		<xsl:param name="posBlocSuivant"/>
		<xsl:choose>
			<xsl:when test="count(preceding-sibling::*)=$posBlocSuivant">XXX</xsl:when>
			<xsl:when test="$posBlocSuivant='on est sorti su bloc prcdent'">
				<xsl:variable name="styleCourant" select="@text:style-name"/>
				<!--globalement l'ide pour cette variable est, pour chaque niveau de division, de dfinir la position du prochain lment frre ou parent-->
				<xsl:variable name="posBlocSuivant">
					<xsl:choose>
						<xsl:when test="contains(@text:style-name,'NIVEAU_5f_1')">
							<xsl:for-each select="following-sibling::*[contains(@text:style-name,'NIVEAU_5f_1') or @text:style-name='_31_1_5f_COURS'][1]">
								<xsl:value-of select="count(preceding-sibling::*)"/>
							</xsl:for-each>
						</xsl:when>
						<xsl:when test="contains(@text:style-name,'NIVEAU_5f_2')">
							<xsl:for-each select="following-sibling::*[contains(@text:style-name,'NIVEAU_5f_2') or contains(@text:style-name,'NIVEAU_5f_1') or @text:style-name='_31_1_5f_COURS'][1]">
								<xsl:value-of select="count(preceding-sibling::*)"/>
							</xsl:for-each>
						</xsl:when>
						<xsl:when test="contains(@text:style-name,'NIVEAU_5f_3')">
							<xsl:for-each select="following-sibling::*[contains(@text:style-name,'NIVEAU_5f_3') or contains(@text:style-name,'NIVEAU_5f_2') or contains(@text:style-name,'NIVEAU_5f_1') or @text:style-name='_31_1_5f_COURS'][1]">
								<xsl:value-of select="count(preceding-sibling::*)"/>
							</xsl:for-each>
						</xsl:when>
						<xsl:when test="contains(@text:style-name,'NIVEAU_5f_4')">
							<xsl:for-each select="following-sibling::*[contains(@text:style-name,'NIVEAU_5f_4') or contains(@text:style-name,'NIVEAU_5f_3') or contains(@text:style-name,'NIVEAU_5f_2') or contains(@text:style-name,'NIVEAU_5f_1') or @text:style-name='_31_1_5f_COURS'][1]">
								<xsl:value-of select="count(preceding-sibling::*)"/>
							</xsl:for-each>
						</xsl:when>
						<xsl:when test="contains(@text:style-name,'NIVEAU_5f_5')">
							<xsl:for-each select="following-sibling::*[contains(@text:style-name,'NIVEAU_5f_5') or contains(@text:style-name,'NIVEAU_5f_4') or contains(@text:style-name,'NIVEAU_5f_3') or contains(@text:style-name,'NIVEAU_5f_2') or contains(@text:style-name,'NIVEAU_5f_1') or @text:style-name='_31_1_5f_COURS'][1]">
								<xsl:value-of select="count(preceding-sibling::*)"/>
							</xsl:for-each>
						</xsl:when>
						<xsl:when test="contains(@text:style-name,'NIVEAU_5f_6')">
							<xsl:for-each select="following-sibling::*[contains(@text:style-name,'NIVEAU_5f_6') or contains(@text:style-name,'NIVEAU_5f_5') or contains(@text:style-name,'NIVEAU_5f_4') or contains(@text:style-name,'NIVEAU_5f_3') or contains(@text:style-name,'NIVEAU_5f_2') or contains(@text:style-name,'NIVEAU_5f_1') or @text:style-name='_31_1_5f_COURS'][1]">
								<xsl:value-of select="count(preceding-sibling::*)"/>
							</xsl:for-each>
						</xsl:when>
					</xsl:choose>
				</xsl:variable>
				<sp:div>
					<op:ueDiv>
						<op:ueDivM>
							<sp:title>
								<xsl:apply-templates>
									<xsl:with-param name="modalite">titre</xsl:with-param>
								</xsl:apply-templates>
							</sp:title>
						</op:ueDivM>
<!--						<xsl:if test="following-sibling::*[((self::text:p) and (@text:style-name='TEXTE_5f_NORMAL') and (count(descendant::text())&gt;0))
										or (self::text:list)
										or ((self::table:table) and (count(descendant::table:table-cell)=2) and (descendant::draw:image))
										or ((self::text:p) and (draw:frame and count(descendant::text())=0))
										or ((self::text:p) and (@text:style-name='CITATION_5f_PLURIPARAGRAPHE') and (count(descendant::text())&gt;0))]
										[count(preceding-sibling::*) &lt; $posBlocSuivant]">
							<sp:intro>
								<op:res>
									<xsl:apply-templates select="following-sibling::*[((self::text:p) and (@text:style-name='TEXTE_5f_NORMAL') and (count(descendant::text())&gt;0))
																	or (self::text:list)
																	or ((self::table:table) and (count(descendant::table:table-cell)=2) and (descendant::draw:image))
																	or ((self::text:p) and (draw:frame and count(descendant::text())=0))
																	or ((self::text:p) and (@text:style-name='CITATION_5f_PLURIPARAGRAPHE') and (count(descendant::text())&gt;0))]
																	[1]">
										<xsl:with-param name="posBlocSuivant" select="$posBlocSuivant"/>
									</xsl:apply-templates>
								</op:res>
							</sp:intro>
						</xsl:if>-->
						<xsl:choose>
							<xsl:when test="contains(@text:style-name,'NIVEAU_5f_1')">
								<xsl:apply-templates select="following-sibling::*[contains(@text:style-name,'NIVEAU_5f_2')][count(preceding-sibling::*)&lt;$posBlocSuivant][1]">
									<xsl:with-param name="posBlocSuivant">on est sorti su bloc prcdent</xsl:with-param>
								</xsl:apply-templates>
							</xsl:when>
							<xsl:when test="contains(@text:style-name,'NIVEAU_5f_2')">
								<xsl:apply-templates select="following-sibling::*[contains(@text:style-name,'NIVEAU_5f_3')][count(preceding-sibling::*)&lt;$posBlocSuivant][1]">
									<xsl:with-param name="posBlocSuivant">on est sorti su bloc prcdent</xsl:with-param>
								</xsl:apply-templates>
							</xsl:when>
							<xsl:when test="contains(@text:style-name,'NIVEAU_5f_3')">
								<xsl:apply-templates select="following-sibling::*[contains(@text:style-name,'NIVEAU_5f_4')][count(preceding-sibling::*)&lt;$posBlocSuivant][1]">
									<xsl:with-param name="posBlocSuivant">on est sorti su bloc prcdent</xsl:with-param>
								</xsl:apply-templates>
							</xsl:when>
							<xsl:when test="contains(@text:style-name,'NIVEAU_5f_4')">
								<xsl:apply-templates select="following-sibling::*[contains(@text:style-name,'NIVEAU_5f_5')][count(preceding-sibling::*)&lt;$posBlocSuivant][1]">
									<xsl:with-param name="posBlocSuivant">on est sorti su bloc prcdent</xsl:with-param>
								</xsl:apply-templates>
							</xsl:when>
							<xsl:when test="contains(@text:style-name,'NIVEAU_5f_5')">
								<xsl:apply-templates select="following-sibling::*[contains(@text:style-name,'NIVEAU_5f_6')][count(preceding-sibling::*)&lt;$posBlocSuivant][1]">
									<xsl:with-param name="posBlocSuivant">on est sorti su bloc prcdent</xsl:with-param>
								</xsl:apply-templates>
							</xsl:when>
							<xsl:when test="contains(@text:style-name,'NIVEAU_5f_6')">
							<!--	<xsl:apply-templates select="following-sibling::*[@text:style-name='_31_1_5f_COURS'][count(preceding-sibling::*)&lt;$posBlocSuivant][1]">
									<xsl:with-param name="posBlocSuivant">on est sorti su bloc prcdent</xsl:with-param>
								</xsl:apply-templates>-->
							</xsl:when>
						</xsl:choose>
					</op:ueDiv>
				</sp:div>
				<xsl:apply-templates select="following-sibling::*[@text:style-name=$styleCourant][count(preceding-sibling::*)=$posBlocSuivant][1]">
					<xsl:with-param name="posBlocSuivant">on est sorti su bloc prcdent</xsl:with-param>
				</xsl:apply-templates>
			</xsl:when>
		</xsl:choose>
	</xsl:template>

	<!--<xsl:template match="text:p[contains(@text:style-name,'DIVISION_5f_NIVEAU')]">
		<xsl:param name="posBlocSuivant"/>
		<xsl:choose>
			<xsl:when test="count(preceding-sibling::*)=$posBlocSuivant"/>
			<xsl:when test="$posBlocSuivant='on est sorti su bloc prcdent'">
				<xsl:variable name="posBlocSuivant">
					<xsl:choose>
						<xsl:when test="contains(@text:style-name,'NIVEAU_5f_1')">
							<xsl:for-each select="following-sibling::*[contains(@text:style-name,'NIVEAU_5f_1') or contains(@text:style-name,'NIVEAU_5f_2') or @text:style-name='_31_1_5f_COURS'][1]">
								<xsl:value-of select="count(preceding-sibling::*)"/>
							</xsl:for-each>
						</xsl:when>
						<xsl:when test="contains(@text:style-name,'NIVEAU_5f_2')">
							<xsl:for-each select="following-sibling::*[contains(@text:style-name,'NIVEAU_5f_2') or contains(@text:style-name,'NIVEAU_5f_3') or @text:style-name='_31_1_5f_COURS'][1]">
								<xsl:value-of select="count(preceding-sibling::*)"/>
							</xsl:for-each>
						</xsl:when>
						<xsl:when test="contains(@text:style-name,'NIVEAU_5f_3')">
							<xsl:for-each select="following-sibling::*[contains(@text:style-name,'NIVEAU_5f_3') or contains(@text:style-name,'NIVEAU_5f_4') or @text:style-name='_31_1_5f_COURS'][1]">
								<xsl:value-of select="count(preceding-sibling::*)"/>
							</xsl:for-each>
						</xsl:when>
						<xsl:when test="contains(@text:style-name,'NIVEAU_5f_4')">
							<xsl:for-each select="following-sibling::*[contains(@text:style-name,'NIVEAU_5f_4') or contains(@text:style-name,'NIVEAU_5f_5') or @text:style-name='_31_1_5f_COURS'][1]">
								<xsl:value-of select="count(preceding-sibling::*)"/>
							</xsl:for-each>
						</xsl:when>
						<xsl:when test="contains(@text:style-name,'NIVEAU_5f_5')">
							<xsl:for-each select="following-sibling::*[contains(@text:style-name,'NIVEAU_5f_5') or contains(@text:style-name,'NIVEAU_5f_6') or @text:style-name='_31_1_5f_COURS'][1]">
								<xsl:value-of select="count(preceding-sibling::*)"/>
							</xsl:for-each>
						</xsl:when>
						<xsl:when test="contains(@text:style-name,'NIVEAU_5f_6')">
							<xsl:for-each select="following-sibling::*[contains(@text:style-name,'NIVEAU_5f_6') or @text:style-name='_31_1_5f_COURS'][1]">
								<xsl:value-of select="count(preceding-sibling::*)"/>
							</xsl:for-each>
						</xsl:when>
					</xsl:choose>
				</xsl:variable>
				<sp:div>
					<op:ueDiv>
						<op:ueDivM>
							<sp:title>
								<xsl:apply-templates>
									<xsl:with-param name="modalite">titre</xsl:with-param>
								</xsl:apply-templates>
							</sp:title>
						</op:ueDivM>
						<xsl:if test="following-sibling::*[((self::text:p) and (@text:style-name='TEXTE_5f_NORMAL') and (count(descendant::text())&gt;0))
										or (self::text:list)
										or ((self::table:table) and (count(descendant::table:table-cell)=2) and (descendant::draw:image))
										or ((self::text:p) and (draw:frame and count(descendant::text())=0))
										or ((self::text:p) and (@text:style-name='CITATION_5f_PLURIPARAGRAPHE') and (count(descendant::text())&gt;0))]
										[count(preceding-sibling::*) &lt; $posBlocSuivant]">
							<sp:intro>
								<op:res>
									<xsl:apply-templates select="following-sibling::*[((self::text:p) and (@text:style-name='TEXTE_5f_NORMAL') and (count(descendant::text())&gt;0))
																	or (self::text:list)
																	or ((self::table:table) and (count(descendant::table:table-cell)=2) and (descendant::draw:image))
																	or ((self::text:p) and (draw:frame and count(descendant::text())=0))
																	or ((self::text:p) and (@text:style-name='CITATION_5f_PLURIPARAGRAPHE') and (count(descendant::text())&gt;0))]
																	[1]">
										<xsl:with-param name="posBlocSuivant" select="$posBlocSuivant"/>
									</xsl:apply-templates>
								</op:res>
							</sp:intro>
						</xsl:if>
						<xsl:choose>
							<xsl:when test="contains(@text:style-name,'NIVEAU_5f_1')">
								<xsl:apply-templates select="following-sibling::*[contains(@text:style-name,'NIVEAU_5f_2') or @text:style-name='_31_1_5f_COURS'][1]">
									<xsl:with-param name="posBlocSuivant">on est sorti su bloc prcdent</xsl:with-param>
								</xsl:apply-templates>
							</xsl:when>
							<xsl:when test="contains(@text:style-name,'NIVEAU_5f_2')">
								<xsl:apply-templates select="following-sibling::*[contains(@text:style-name,'NIVEAU_5f_3') or @text:style-name='_31_1_5f_COURS'][1]">
									<xsl:with-param name="posBlocSuivant">on est sorti su bloc prcdent</xsl:with-param>
								</xsl:apply-templates>
							</xsl:when>
							<xsl:when test="contains(@text:style-name,'NIVEAU_5f_3')">
								<xsl:apply-templates select="following-sibling::*[contains(@text:style-name,'NIVEAU_5f_4') or @text:style-name='_31_1_5f_COURS'][1]">
									<xsl:with-param name="posBlocSuivant">on est sorti su bloc prcdent</xsl:with-param>
								</xsl:apply-templates>
							</xsl:when>
							<xsl:when test="contains(@text:style-name,'NIVEAU_5f_4')">
								<xsl:apply-templates select="following-sibling::*[contains(@text:style-name,'NIVEAU_5f_5') or @text:style-name='_31_1_5f_COURS'][1]">
									<xsl:with-param name="posBlocSuivant">on est sorti su bloc prcdent</xsl:with-param>
								</xsl:apply-templates>
							</xsl:when>
							<xsl:when test="contains(@text:style-name,'NIVEAU_5f_5')">
								<xsl:apply-templates select="following-sibling::*[contains(@text:style-name,'NIVEAU_5f_6') or @text:style-name='_31_1_5f_COURS'][1]">
									<xsl:with-param name="posBlocSuivant">on est sorti su bloc prcdent</xsl:with-param>
								</xsl:apply-templates>
							</xsl:when>
							<xsl:when test="contains(@text:style-name,'NIVEAU_5f_6')">
								<xsl:apply-templates select="following-sibling::*[@text:style-name='_31_1_5f_COURS'][1]">
									<xsl:with-param name="posBlocSuivant">on est sorti su bloc prcdent</xsl:with-param>
								</xsl:apply-templates>
							</xsl:when>
						</xsl:choose>
					</op:ueDiv>
					<xsl:apply-templates select="following-sibling::*[@text:style-name=current()/@text:style-name][1]">
						<xsl:with-param name="posBlocSuivant">on est sorti su bloc prcdent</xsl:with-param>
					</xsl:apply-templates>
				</sp:div>
			</xsl:when>
		</xsl:choose>
	</xsl:template>-->

<!--	<xsl:template match="_31_1_5f_COURS">
		<xsl:param name="posBlocSuivant"/>
		<xsl:choose>
			<xsl:when test="count(preceding-sibling::*)=$posBlocSuivant"/>
			<xsl:when test="$posBlocSuivant='on est sorti su bloc prcdent'">
				<xsl:variable name="posBlocSuivant">
					<xsl:for-each select="following-sibling::*[contains(@text:style-name,'DIVISION_5f_NIVEAU') or @text:style-name='_31_1_5f_COURS'][1]">
						<xsl:value-of select="count(preceding-sibling::*)"/>
					</xsl:for-each>
				</xsl:variable>
				<xsl:variable name="posBlocSuivantDsCours">
					<xsl:for-each select="following-sibling::*[contains(@text:style-name,'PARTIE_5f_NIVEAU') or contains(@text:style-name,'DIVISION_5f_NIVEAU') or contains(@text:style-name,'BLOC_5f') or @text:style-name='_31_1_5f_COURS'][1]">
						<xsl:value-of select="count(preceding-sibling::*)"/>
					</xsl:for-each>
				</xsl:variable>
				<sp:courseUc>
					<op:expUc>
						<op:uM>
							<sp:title>
								<xsl:apply-templates>
									<xsl:with-param name="modalite">titre</xsl:with-param>
								</xsl:apply-templates>
							</sp:title>
						</op:uM>
						<xsl:if test="following-sibling::*[((self::text:p) and (@text:style-name='TEXTE_5f_NORMAL') and (count(descendant::text())&gt;0))
										or (self::text:list)
										or ((self::table:table) and (count(descendant::table:table-cell)=2) and (descendant::draw:image))
										or ((self::text:p) and (draw:frame and count(descendant::text())=0))
										or ((self::text:p) and (@text:style-name='CITATION_5f_PLURIPARAGRAPHE') and (count(descendant::text())&gt;0))]
										[count(preceding-sibling::*) &lt; $posBlocSuivant]">
							<sp:pb>
								<op:pb>
									<xsl:if test="following-sibling::*[((self::text:p) and (@text:style-name='TEXTE_5f_NORMAL') and (count(descendant::text())&gt;0))
													or (self::text:list)
													or ((self::table:table) and (count(descendant::table:table-cell)=2) and (descendant::draw:image))
													or ((self::text:p) and (draw:frame and count(descendant::text())=0))
													or ((self::text:p) and (@text:style-name='CITATION_5f_PLURIPARAGRAPHE') and (count(descendant::text())&gt;0))]
													[count(preceding-sibling::*) &lt; $posBlocSuivantDsCours]">
										<sp:info>
											<op:pbTi/>			
											<xsl:apply-templates select="following-sibling::*[((self::text:p) and (@text:style-name='TEXTE_5f_NORMAL') and (count(descendant::text())&gt;0))
																			or (self::text:list)
																			or ((self::table:table) and (count(descendant::table:table-cell)=2) and (descendant::draw:image))
																			or ((self::text:p) and (draw:frame and count(descendant::text())=0))
																			or ((self::text:p) and (@text:style-name='CITATION_5f_PLURIPARAGRAPHE') and (count(descendant::text())&gt;0))]
																			[1]">
												<xsl:with-param name="posBlocSuivant" select="$posBlocSuivantDsCours"/>
											</xsl:apply-templates>
										</sp:info>
									</xsl:if>
									<xsl:apply-templates select="following-sibling::*following-sibling::*[count(preceding-sibling::*)=$posBlocSuivantDsCours][1]">
										<xsl:with-param name="posBlocSuivant" select="$posBlocSuivant"/>
									</xsl:apply-templates>
								</op:pb>
							</sp:pb>
						</xsl:if>
						<xsl:apply-templates select="following-sibling::*[contains(@text:style-name,'NIVEAU_5f_2') or @text:style-name='_31_1_5f_COURS'][1]">
							<xsl:with-param name="posBlocSuivant">on est sorti su bloc prcdent</xsl:with-param>
						</xsl:apply-templates>
					</op:expUc>
					<xsl:apply-templates select="following-sibling::*[@text:style-name=current()/@text:style-name][1]">
						<xsl:with-param name="posBlocSuivant">on est sorti su bloc prcdent</xsl:with-param>
					</xsl:apply-templates>
				</sp:courseUc>
			</xsl:when>
		</xsl:choose>
	</xsl:template>-->

	<!--ce template est plac ici car il faut que les traitements spcifiques des paragraphes soient placs aprs celui-l-->
	<xsl:template match="text:p">
		<xsl:param name="modalite"/>
		<xsl:apply-templates>
			<xsl:with-param name="modalite" select="$modalite"/>
		</xsl:apply-templates>
	</xsl:template>

	<!--pour les commentaires et les paragraphes vides on ne fait aucun traitement et on passe le relai-->
	<xsl:template match="text:p[@text:style-name='_30_4_5f_OBJECTIFS_5f_DU_5f_MODULE' and count(descendant::text())=0] | text:p[@text:style-name='_5f_COMMENTAIRE'] | *[count(child::text())=0 and count(child::*)=0]">
		<xsl:param name="posBlocSuivant"/>
		<xsl:apply-templates select="following-sibling::*[1]">
			<xsl:with-param name="posBlocSuivant" select="$posBlocSuivant"/>
		</xsl:apply-templates>
	</xsl:template>

	<xsl:template match="text:list">
		<xsl:call-template name="creationListe"/>
	</xsl:template>

	<!--traitement des paragraphes de texte normal, citations plutiparagraphes et listes (de type normal ou citation pluriparagraphe-->	
	<xsl:template match="text:p[@text:style-name='TEXTE_5f_NORMAL'][count(descendant::text())&gt;0]
						| text:p[@text:style-name='CITATION_5f_PLURIPARAGRAPHE'][count(descendant::text())&gt;0]
						| text:p[@text:style-name='_30_4_5f_OBJECTIFS_5f_DU_5f_MODULE'][count(descendant::text())&gt;0]
						| text:list">
		<xsl:param name="posBlocSuivant"/>
		<!--on commence par tester si on n'a pas dpass l'lment qui dfinit la fin de bloc-->
		<xsl:if test="count(preceding-sibling::*) &lt; $posBlocSuivant">
			<!--on dfinit le type de l'lment courant (pas trivial car pour les listes on va dfinir leur type en regardant le style de paragraphe en leur sein--> 
			<xsl:variable name="typeElementCourant">
				<xsl:call-template name="testTypeElementCourant"/>
			</xsl:variable>
			<!--on dfinit la position du bloc qui fermera le bloc courant (bloc texte ou bloc citation pluriparagraphe) car on veut mettre les listes et textes de mme type et contigus dans le mme bloc-->
			<xsl:variable name="posBlocSuivant2">
				<!--technique o on applique un traitement au premier lment suivant, qui lui mme appliquera le traitement  son premier lment suivant si ncessaire, ... on passe en paramtre le type de l'lment courant pour pouvoir comparer -->
				<xsl:for-each select="following-sibling::*[1]">
					<xsl:call-template name="posElementDifSuivant">
						<xsl:with-param name="typeElementOrigine" select="$typeElementCourant"/>
					</xsl:call-template>
				</xsl:for-each>
			</xsl:variable>
			<xsl:choose>
				<!--si c'est du texte normal alors on cre l'lment texte-->
				<xsl:when test="$typeElementCourant='TEXTE_5f_NORMAL'">
					<sp:txt>
						<op:txt>
							<!--on pose les lments paragraphes et listes-->
							<xsl:call-template name="poseParaListe">
								<xsl:with-param name="modalite">normal</xsl:with-param>
							</xsl:call-template>
							<!--on renvoie  tous les lments suivants dont la position est infrieure  la position de l'lment qui dfinit la fin du bloc-->
							<xsl:apply-templates select="following-sibling::*[count(preceding-sibling::*) &lt; $posBlocSuivant2]" mode="dansBlocTexte"/>
						</op:txt>
					</sp:txt>
				</xsl:when>
				<!--si c'est de la citation pluriparagraphe alors on cre l'lment citation pluriparagraphe-->
				<xsl:when test="$typeElementCourant='CITATION_5f_PLURIPARAGRAPHE'">
					<sp:bkquote>
						<op:qTxt>
							<!--on pose les lments paragraphes et listes-->
							<xsl:call-template name="poseParaListe"/>
							<!--on renvoie  tous les lments suivants dont la position est infrieure  la position de l'lment qui dfinit la fin du bloc-->
							<xsl:apply-templates select="following-sibling::*[count(preceding-sibling::*) &lt; $posBlocSuivant2]" mode="dansBlocTexte"/>
						</op:qTxt>
					</sp:bkquote>
				</xsl:when>
				<!--si c'est de l'objectif pdagogique alors on ne fait rien car les objectifs (s'il y en a) on dj t traits prcdement-->
				<xsl:when test="$typeElementCourant='_30_4_5f_OBJECTIFS_5f_DU_5f_MODULE'"/>
			</xsl:choose>
			<xsl:apply-templates select="following-sibling::*[count(preceding-sibling::*)=$posBlocSuivant2]">
				<xsl:with-param name="posBlocSuivant" select="$posBlocSuivant"/>
			</xsl:apply-templates>
		</xsl:if>
	</xsl:template>

	<xsl:template name="testTypeElementCourant">
		<xsl:choose>
			<xsl:when test="self::text:list">
				<xsl:variable name="nomStyleListe" select="@text:style-name"/>
				<xsl:for-each select="//style:style[@style:list-style-name=$nomStyleListe][1]">
					<xsl:value-of select="@style:parent-style-name"/>
				</xsl:for-each>
			</xsl:when>
			<xsl:when test="self::text:p">
				<xsl:value-of select="@text:style-name"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>

	<xsl:template name="posElementDifSuivant">
		<xsl:param name="typeElementOrigine"/>
		<xsl:variable name="typeElementCourant">
			<xsl:call-template name="testTypeElementCourant"/>
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="$typeElementOrigine=$typeElementCourant and count(descendant::text())!=0">
				<xsl:for-each select="following-sibling::*[1]">
					<xsl:call-template name="posElementDifSuivant">
						<xsl:with-param name="typeElementOrigine" select="$typeElementOrigine"/>
					</xsl:call-template>
				</xsl:for-each>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="count(preceding-sibling::*)"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="poseParaListe">
		<xsl:param name="modalite"/>
		<xsl:choose>
			<xsl:when test="self::text:list">
				<xsl:call-template name="creationListe">
					<xsl:with-param name="modalite" select="$modalite"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="self::text:p">
				<sc:para>
					<xsl:apply-templates>
						<xsl:with-param name="modalite" select="$modalite"/>
					</xsl:apply-templates>
				</sc:para>
			</xsl:when>
			<xsl:otherwise>
				<sc:para>
					[PROBLME : LMENT NON RECONNU  CET ENDROIT DANS L'ODT]
				</sc:para>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template match="*" mode="dansBlocTexte">
		<xsl:call-template name="poseParaListe"/>
	</xsl:template>

	<xsl:template name="creationListe">
		<xsl:param name="modalite"/>	
		<xsl:variable name="nomStyleListe" select="//text:list-style[@style:name=current()/@text:style-name]"/>
		<xsl:choose>
			<xsl:when test="$nomStyleListe/text:list-level-style-bullet[position()=1]">
				<sc:itemizedList>
					<xsl:for-each select="text:list-item">
						<sc:listItem>
							<xsl:for-each select="text:p">
								<sc:para>
									<xsl:apply-templates>
										<xsl:with-param name="modalite" select="$modalite"/>
									</xsl:apply-templates>
								</sc:para>
							</xsl:for-each>
						</sc:listItem>
					</xsl:for-each>
				</sc:itemizedList>
			</xsl:when>
			<xsl:when test="$nomStyleListe/text:list-level-style-number[position()=1]">
				<sc:orderedList>
					<xsl:for-each select="text:list-item">
						<sc:listItem>
							<xsl:for-each select="text:p">
								<sc:para>
									<xsl:apply-templates>
										<xsl:with-param name="modalite" select="$modalite"/>
									</xsl:apply-templates>
								</sc:para>
							</xsl:for-each>
						</sc:listItem>
					</xsl:for-each>
				</sc:orderedList>
			</xsl:when>
		</xsl:choose>
	</xsl:template>

	<xsl:template match="table:table[count(descendant::table:table-cell)=2][descendant::draw:image]">
		<xsl:param name="posBlocSuivant"/>
		<xsl:if test="count(preceding-sibling::*) &lt; $posBlocSuivant">
			<sp:txtRes>
				<op:txtRes>
					<op:txtResM>
						<xsl:choose>
							<xsl:when test=".//table:table-cell[1]//draw:image">
								<sp:pos>lft</sp:pos>
							</xsl:when>
							<xsl:when test=".//table:table-cell[2]//draw:image">
								<sp:pos>rgt</sp:pos>
							</xsl:when>
						</xsl:choose>
					</op:txtResM>
					<sp:txt>
						<op:txt>
							<xsl:for-each select=".//text:p[count(descendant::text())&gt;0] | .//text:list">
								<xsl:call-template name="poseParaListe"/>
							</xsl:for-each>
						</op:txt>
					</sp:txt>
					<xsl:variable name="refImage">
						<xsl:apply-templates select=".//draw:frame"/>
					</xsl:variable>
					<sp:res sc:refUri="{$refImage}"/>
				</op:txtRes>
			</sp:txtRes>
			<xsl:apply-templates select="following-sibling::*[1]">
				<xsl:with-param name="posBlocSuivant" select="$posBlocSuivant"/>
			</xsl:apply-templates>
		</xsl:if>
	</xsl:template>

	<xsl:template match="text:p[draw:frame and count(descendant::text())=0]">
		<xsl:param name="posBlocSuivant"/>
		<xsl:if test="count(preceding-sibling::*) &lt; $posBlocSuivant">
			<xsl:variable name="refRes">
				<xsl:apply-templates select="draw:frame"/>
			</xsl:variable>
			<xsl:choose>
				<xsl:when test="contains($refRes,'/contenuConverti/PNG') or contains($refRes,'/contenuConverti/JPG') or contains($refRes,'/contenuConverti/GIF')">
					<sp:img sc:refUri="{$refRes}"/>
				</xsl:when>
				<xsl:when test="contains($refRes,'/contenuConverti/ODF')">
					<sp:form sc:refUri="{$refRes}"/>
				</xsl:when>
				<xsl:when test="contains($refRes,'/contenuConverti/ODG')">
					<sp:graph sc:refUri="{$refRes}"/>
				</xsl:when>
				<xsl:when test="contains($refRes,'/contenuConverti/ODS')">
					<sp:tab sc:refUri="{$refRes}"/>
				</xsl:when>
			</xsl:choose>
			<xsl:apply-templates select="following-sibling::*[1]">
				<xsl:with-param name="posBlocSuivant" select="$posBlocSuivant"/>
			</xsl:apply-templates>
		</xsl:if>		
	</xsl:template>
	
	<xsl:template match="text:span[@text:style-name='IMPORTANT'] | text:span[@text:style-name='TERME_20_ETRANGER'] | text:span[@text:style-name='CITATION'] | text:span[@text:style-name='COMMANDE'] | text:span[@text:style-name='EXPOSANT'] | text:span[@text:style-name='INDICE'] | text:span[@text:style-name='EQUATION_5f_LATEX']">
		<xsl:param name="modalite"/>
		<xsl:choose>
			<xsl:when test="$modalite='titre' or ((@text:style-name='CITATION' or @text:style-name='COMMANDE' or @text:style-name='EXPOSANT' or @text:style-name='INDICE' or @text:style-name='EQUATION_5f_LATEX') and $modalite='paraSimple')">
				<xsl:call-template name="messageErreurInline">
					<xsl:with-param name="element"><xsl:value-of select="@text:style-name"/></xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="@text:style-name='IMPORTANT'">
				<xsl:call-template name="elementInline">
					<xsl:with-param name="type">emp</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="@text:style-name='TERME_20_ETRANGER'">
				<xsl:call-template name="elementInline">
					<xsl:with-param name="type">spec</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="@text:style-name='CITATION'">
				<xsl:call-template name="elementInline">
					<xsl:with-param name="type">quote</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="@text:style-name='COMMANDE'">
				<xsl:call-template name="elementInline">
					<xsl:with-param name="type">code</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="@text:style-name='EXPOSANT'">
				<xsl:call-template name="textLeaf">
					<xsl:with-param name="type">exp</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="@text:style-name='INDICE'">
				<xsl:call-template name="textLeaf">
					<xsl:with-param name="type">ind</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="@text:style-name='EQUATION_5f_LATEX'">
				<xsl:call-template name="textLeaf">
					<xsl:with-param name="type">mathtex</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				[UN PROBLME A T RENCONTR]
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>	


	<xsl:template match="text:a[@xlink:href!='']">
		<xsl:param name="modalite"/>
		<xsl:choose>
			<xsl:when test="contains(@xlink:href,':') and $modalite='titre'">
				[VOUS AVEZ FAIT UN LIEN WEB  CE TITRE DANS L'ODT ALORS QUE OPALE NE LE PERMET PAS]
			</xsl:when>
			<xsl:when test="contains(@xlink:href,':')">
				<sc:uLink url="{@xlink:href}">
					<xsl:value-of select="."/>
				</sc:uLink>
			</xsl:when>
			<xsl:when test="contains(@xlink:href,'#') and $modalite='paraSimple'">
				[VOUS AVEZ FAIT UN LIEN VERS UN DOCUMENT  CET ENDROIT DANS L'ODT ALORS QUE OPALE NE LE PERMET PAS]
			</xsl:when>
			<xsl:when test="contains(@xlink:href,'#')">
				<xsl:variable name="nomObjet" select="substring-before(substring-after(@xlink:href, '#'), '|')"/>
				<xsl:variable name="elementReference">
					<xsl:apply-templates select="//draw:frame[@draw:name=$nomObjet]"/>
				</xsl:variable>
				<xsl:choose>
					<xsl:when test="$elementReference=''">
						<xsl:value-of select="."/> [IL Y A EU UNE ERREUR AU RFRENCEMENT D'UNE RESSOURCE SUR LE TERME (<xsl:value-of select="."/>)]					
					</xsl:when>
					<xsl:otherwise>
						<sc:uLink role="resLnk" sc:refUri="{$elementReference}">
							<xsl:value-of select="."/>
						</sc:uLink>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	
	<!--####################################################################################-->
	<!--###templates pour mutualiser la cration d'lments inline styls, et de textleaf###-->

	<xsl:template name="elementInline">
		<xsl:param name="type"/>
		<sc:inlineStyle role="{$type}">
			<!--on fait un apply-templates et non pas un xsl-value car on peut avoir d'autres lments inline imbriqus-->
			<xsl:apply-templates/>
		</sc:inlineStyle>
	</xsl:template>

	<xsl:template name="textLeaf">
		<xsl:param name="type"/>
		<sc:textLeaf role="{$type}">
			<xsl:value-of select="."/>
		</sc:textLeaf>
	</xsl:template>

	<xsl:template name="messageErreurInline">
		<xsl:param name="element"/>
		<xsl:value-of select="."/>&#160;[(<xsl:value-of select="."/>) LMENT STYL EN TANT QUE '<xsl:value-of select="$element"/>' DANS L'ODT MAIS INTERDIT DANS CE TYPE DE TEXTE DANS OPALE]
	</xsl:template>
	
	<!--###templates pour mutualiser la cration d'lments inline styls, et de textleaf###-->
	<!--####################################################################################-->

	<xsl:template match="draw:frame">
		<xsl:variable name="vOdPath" select="*/@xlink:href"/>
		<xsl:variable name="vtype">
			<xsl:choose>
				<xsl:when test="$pResListFileXml//res[@inOdtPath=$vOdPath]/@type='image/jpeg'">JPG</xsl:when>
				<xsl:when test="$pResListFileXml//res[@inOdtPath=$vOdPath]/@type='image/gif'">GIF</xsl:when>
				<xsl:when test="$pResListFileXml//res[@inOdtPath=$vOdPath]/@type='image/png'">PNG</xsl:when>
				<xsl:when test="$pResListFileXml//res[@inOdtPath=$vOdPath]/@type='application/vnd.oasis.opendocument.formula'">ODF</xsl:when>
				<xsl:when test="$pResListFileXml//res[@inOdtPath=$vOdPath]/@type='application/vnd.oasis.opendocument.spreadsheet'">ODS</xsl:when>
				<xsl:when test="$pResListFileXml//res[@inOdtPath=$vOdPath]/@type='application/vnd.oasis.opendocument.graphics'">ODG</xsl:when>
			</xsl:choose>
		</xsl:variable>/contenuConverti/<xsl:value-of select="$vtype"/>/<xsl:value-of select="$pResListFileXml//res[@inOdtPath=$vOdPath]/@name"/>
	</xsl:template>		

	<!--<xsl:template match="draw:frame">
		<xsl:variable name="vOdPath" select="*/@xlink:href"/>
		<xsl:choose>
			<xsl:when test="$pResListFileXml//res/@inOdtPath=$vOdPath">
				<xsl:choose>
					<xsl:when test="$pDeleteRes='true'">
						<text:span text:style-name="Variable">[[<xsl:value-of select="$pResListFileXml//res[@inOdtPath=$vOdPath]/@name"/>]]</text:span>
					</xsl:when>
					<xsl:otherwise>
						<text:span text:style-name="Variable">[[<xsl:value-of select="$pResListFileXml//res[@inOdtPath=$vOdPath]/@name"/>]]</text:span>
						<xsl:copy>
							<xsl:apply-templates select="@*|node()"/>
						</xsl:copy>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:copy>
					<xsl:apply-templates select="@*|node()"/>
				</xsl:copy>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>-->
	
	<!-- ### -->
	<!-- # Cas gnral : on copie -->
	<!-- # -->
	
	
	<!--<xsl:template match="@*|node()">
		<xsl:copy>
			<xsl:apply-templates select="@*|node()"/>
		</xsl:copy>
	</xsl:template>-->
	
<!-- POUR LE TEXTE ILLUSTR, SOIT :
- L'AUTEUR FAIT A  L'OEIL SANS TABLEAU. POUR POUVOIR DETECTER UNE IMAGE ILLUSTRE DANS LE ODT LORS DE L'IMPORT IL FAUT QUE L'IMAGE SOIT BIEN ATTACHE A UN PARAGRAPHE (DONC DJ A FAIT UNE PREMIRE CONTRAINTE). LA LIMITE DE A C'EST QU'ON NE PEUT ATTACHER L'IMAGE QU' UN SEUL PARAGRAPHE DANS OO, LES AUTRES SERONT EN DEHORS DE L'"IMAGE ILLUSTRE". OR LE MODLE PERMET PLUSIEURS PARAGRAPHES DANS L'"IMAGE ILLUSTRE".
- L'AUTEUR FAIT A DANS UN TABLEAU ET DONC C'EST FACILE ET CLAIR POUR IMPORTER. l'INCONVNIENT DE A C'EST QUE C'EST UNE ASSEZ GROSSE CONTRAINTE-->

<!-- INTERPRETER LES PARAGRAPHES VIDES ENTRE DEUX PARAGRAPHES DE TEXTE COMME DEUX LMENTS TEXTE DIFFRENTS -->
	
</xsl:stylesheet>
